//window.localStorage.setItem('$isLogout', 'false');
//window.localStorage.setItem('$rememberMe', 'true');
//window.localStorage.setItem('$uid', 'dtzx_test');  
//window.localStorage.setItem('$pwd', '650000');

(function($, owner) {
	//Api接口前缀
	owner.baseApi = 'https://app.km119net.com/AppApi/';
//	owner.baseApi = 'http://172.16.100.222/AppApi/';
	//本地存储的localStorage数据结构
	owner.localStorageData = {
		////以下三项为登录页面辅助信息
		isLogout: 'true'////是否主动退出登录（切换账号等）
        ,rememberMe: 'false'////登录页面记住勾选项
        ,uid: ''////用户登录Id
        ,pwd: ''////用户登录密码
        ////以下为登录成功服务器返回的信息
        ,groupKey: ''////人员所在部门对应的权限（角色）类型。管理部门（MANAGE），执行部门（EXECUTE），其他部门（OTHER）
        ,token: ''////用户登录成功后，返回的令牌信息
        ,ownerInfoName: ''////用户所在机构的名称
        ,ownerInfoNameSD: ''//思迪平台，用户所在机构的名称
        ,deptName: ''////用户所在部门的名称
        ,userGuid: ''////用户唯一Id
        ,name: ''////用户姓名
        ,face: ''////用户头像
	};
	//清空localStorage
	owner.clearLocalStorage = function(clearAll){
		if(clearAll){
			window.localStorage.clear();
			//owner.localStorageData = {};
		} else {
			window.localStorage.setItem('$isLogout', 'true');
			window.localStorage.setItem('$rememberMe', 'false');
			window.localStorage.setItem('$uid', '');
			window.localStorage.setItem('$pwd', '');
			
			window.localStorage.setItem('$groupKey', '');
	        window.localStorage.setItem('$token', '');
	        window.localStorage.setItem('$ownerInfoName', '');
	        window.localStorage.setItem('$ownerInfoNameSD', '');
	        window.localStorage.setItem('$deptName', '');
	        window.localStorage.setItem('$userGuid', '');
	        window.localStorage.setItem('$name', '');
	        window.localStorage.setItem('$face', '');
		}
	};
	//清空localStorageData
	owner.clearLocalStorageData = function(){
		if (owner.localStorageData.isLogout){
			owner.localStorageData.isLogout = 'true';
		}
		if (owner.localStorageData.rememberMe){
			owner.localStorageData.rememberMe = 'false';
		}
		if (owner.localStorageData.uid){
			owner.localStorageData.uid = '';
		}
		if (owner.localStorageData.pwd){
			owner.localStorageData.pwd = '';
		}
		
		if (owner.localStorageData.groupKey){
			owner.localStorageData.groupKey = '';
		}
		if (owner.localStorageData.token){
			owner.localStorageData.token = '';
		}
		if (owner.localStorageData.ownerInfoName){
			owner.localStorageData.ownerInfoName = '';
		}
		if (owner.localStorageData.ownerInfoNameSD){
			owner.localStorageData.ownerInfoNameSD = '';
		}
		if (owner.localStorageData.deptName){
			owner.localStorageData.deptName = '';
		}
		if (owner.localStorageData.userGuid){
			owner.localStorageData.userGuid = '';
		}
		if (owner.localStorageData.name){
			owner.localStorageData.name = '';
		}
		if (owner.localStorageData.face){
			owner.localStorageData.face = '';
		}
	};
	//设置localStorage
	owner.setLocalStorage = function(localData) {
		localData = localData || {};
		if (window.localStorage){
			window.localStorage.setItem('$isLogout', localData.isLogout || 'true');
	        window.localStorage.setItem('$rememberMe', localData.rememberMe || 'false');
	        window.localStorage.setItem('$uid', localData.uid || '');
	        window.localStorage.setItem('$pwd', localData.pwd || '');
	        
	        window.localStorage.setItem('$groupKey', localData.groupKey || '');
	        window.localStorage.setItem('$token', localData.token || '');
	        window.localStorage.setItem('$ownerInfoName', localData.ownerInfoName || '');
	        window.localStorage.setItem('$deptName', localData.deptName || '');
	        window.localStorage.setItem('$userGuid', localData.userGuid || '');
	        window.localStorage.setItem('$name', localData.name || '');
	        window.localStorage.setItem('$face', localData.face || '');
       }
    };
    //获取localStorage
    owner.getLocalStorage = function() {
    	if (window.localStorage){
    		var isLogoutValue = window.localStorage.getItem('$isLogout');
	        var rememberMeValue = window.localStorage.getItem('$rememberMe');
			
			owner.localStorageData.isLogout = (isLogoutValue === null || isLogoutValue === '') ? 'true' : 'false';
	        owner.localStorageData.rememberMe = (rememberMeValue === null || rememberMeValue === '') ? 'false' : 'true';
	        owner.localStorageData.uid = window.localStorage.getItem('$uid') || '';
	        owner.localStorageData.pwd = window.localStorage.getItem('$pwd') || '';
	        
	        owner.localStorageData.groupKey = window.localStorage.getItem('$groupKey') || '';
	        owner.localStorageData.token = window.localStorage.getItem('$token') || '';
	        owner.localStorageData.ownerInfoName = window.localStorage.getItem('$ownerInfoName') || '';
	        owner.localStorageData.ownerInfoNameSD = window.localStorage.getItem('$ownerInfoNameSD') || '';
	        owner.localStorageData.deptName = window.localStorage.getItem('$deptName') || '';
	        owner.localStorageData.userGuid = window.localStorage.getItem('$userGuid') || '';
	        owner.localStorageData.name = window.localStorage.getItem('$name') || '';
	        owner.localStorageData.face = window.localStorage.getItem('$face') || '';
	        
	        return owner.localStorageData;
		} else {
			return {};
		}
    };
    //获取用户token
    owner.getToken = function(){
    	owner.localStorageData = owner.getLocalStorage();
    	//console.log('token:'+ owner.localStorageData.token);
    	return owner.localStorageData.token || '';
    };
	//判断用户登录状态
    owner.isLogin = function(){
    	return owner.getToken() !== '';
    }; 
    //用户登出
    owner.logout = function(logoutInfo, callback){ 
    	callback = callback || $.noop;
		logoutInfo = logoutInfo || {};
		mui.ajax({
			type: 'get'
			,url: owner.baseApi + 'Account/Logout'
			,data: logoutInfo
			,dataType: 'json'
			,cache: false
			,success: function (returnData, status) {
				if (returnData.succ){
					//window.localStorage.setItem('$isLogout', 'true');
					//owner.localStorageData.isLogout = 'true';
					owner.clearLocalStorage(false);
					owner.clearLocalStorageData();
					if (mui.os.plus && common.getRuntime() === 'ios'){
						
					} else {
						
					}
//					console.log(owner.localStorageData.isLogout);
					return callback(true, '');
				} else {
					return callback(false, returnData.msg);
				}
			}
			,error: function (jqXHR, textStatus, errorThrown) {
				return callback(false, jqXHR.responseJSON.message || jqXHR.responseText || '未知的错误');				
			}
		});
    };
    //用户登入
    owner.login = function(loginInfo, callback){
    	//console.log(JSON.stringify( loginInfo ));
    	callback = callback || $.noop;
		loginInfo = loginInfo || {};
		
//		console.log('here');

		mui.ajax({
			type: 'get'
			,url: owner.baseApi + 'Account/Login'
			,data: {
				uid: loginInfo.uid
				,pwd: loginInfo.pwd
			}
			,dataType: 'json'
			,cache: false
			,success: function (returnData, status) {
				if (returnData.succ){
					returnData.data['isLogout'] = loginInfo.rememberMe || 'false';
					returnData.data['rememberMe'] = loginInfo.rememberMe || 'false';
					returnData.data['uid'] = loginInfo.uid || '';
					returnData.data['pwd'] = loginInfo.pwd || '';
					
					owner.setLocalStorage(returnData.data);
					owner.getLocalStorage();
					return callback(true, owner.localStorageData);
				} else {
					return callback(false, returnData.msg);
				}
			}
			,error: function (jqXHR, textStatus, errorThrown) {
//				console.log(jqXHR.responseText);
				return callback(false, jqXHR.responseJSON && jqXHR.responseJSON.message ? jqXHR.responseJSON.message : jqXHR.responseText || '未知的错误');			
			}
		});
    };
    //自动登入
    owner.tryAutoLogin = function(callback){
    	callback = callback || $.noop;
    	owner.getLocalStorage();
//  	console.log('appJs/user.js tryAutoLogin: 读取的isLogout为：' + owner.localStorageData.isLogout);
    	if (owner.localStorageData.isLogout && owner.localStorageData.isLogout === 'true'){
    		//用户主动退出登录，不进行自动登录
    		return callback(false);
    	}
    	if (owner.localStorageData.rememberMe && owner.localStorageData.rememberMe === 'true'
    		&& owner.localStorageData.uid && owner.localStorageData.uid !== '' 
    		&& owner.localStorageData.pwd && owner.localStorageData.pwd !== ''){
			var loginInfo = {
				rememberMe: owner.localStorageData.rememberMe
				,uid: owner.localStorageData.uid
				,pwd: owner.localStorageData.pwd
			};
			
			owner.login(loginInfo, function(succ, returnData) {
				if (succ){
					return callback(true);
				}else{
					plus.nativeUI.toast(returnData);
					return callback(false);
				}
			});
    	} else {
    		return callback(false);
    	}
    };
    //登录成功后，自动跳转至用户首页
    owner.autoIndexPage = function(){
    	if(owner.getIndexPage !== ''){
    		
    	} else if(owner.getIndexPage === 'login.html'){
    		//mui.toast('用户权限不在当前用户范围内');
    	}
    };
    //获取用户首页
    owner.getIndexPage = function(callback){
    	callback = callback || $.noop;
    	if (!owner.localStorageData){
    		owner.getLocalStorage();
    	}
    	if (owner.localStorageData.groupKey && owner.isLogin()){
    		switch (owner.localStorageData.groupKey.toUpperCase()){
    			case 'MANAGE':
    				owner.getOwnerInfoNameSD(true);
    				return callback('indexAdmin.html');
    			case 'EXECUTE':
    				owner.getOwnerInfoNameSD(true);
    				return callback('indexUser.html');
				case 'IOTBASIC':
					owner.getOwnerInfoNameSD(true);
					return callback('indexBasic.html');
    			default:
    				return callback('login.html');
    		}
    	} else {
    		return callback('login.html');
    	}
    };
    
    owner.getOwnerInfoNameSD = function(async){
		var pData = {
			token: owner.getToken()
			,apiType : common.ApiType.OwnerName
		}
//		console.log(JSON.stringify(pData));
		mui.ajax({
			type: 'get'
			,url: owner.baseApi + 'ManageMain/GetApi'
			,data: pData
			,dataType: 'json'
			,cache: false
			,async: async
			,success: function (returnData, status) { 
//				console.log(JSON.stringify(returnData));
				
				if(returnData.succ) {
					var apiData = {};
					var apiInfo = returnData.data.apiInfo;
					var apiUrl = apiInfo.ApiUrl;
					mui.each(apiInfo.ParamInfo, function(index, item){
						apiData[item.ParamName] = item.ParamValue;
					});
//					console.log(JSON.stringify(apiData));
//					console.log(apiUrl);
					mui.ajax({
						type: 'get'
						,url: apiUrl
						,ticket: false
						,data: apiData
						,async: async
						,success: function(returnData2, status2) {
							var ownerInfoNameSD = returnData2.Msg;
							owner.localStorageData.ownerInfoNameSD = ownerInfoNameSD;
							window.localStorage.setItem('$ownerInfoNameSD', ownerInfoNameSD || '');
						}
						,error: function (jqXHR2, textStatus2, errorThrown2) {
//							console.log(jqXHR2.responseText);	
						}
					});
				}
			}
			,error: function (jqXHR, textStatus, errorThrown) {
//				console.log(jqXHR.responseText);	
			}
		});
	}
    
    ///dateTimeType  年月日时分秒毫秒（1-7）
    ///isAdd  增：true，减：false
    ///addValue  增减的数量
    ///callback  回调函数
	owner.getServerDateTime = function(dateTimeType, isAdd, addValue, callback){
		mui.ajax({
			type: 'get'
			,url: owner.baseApi + 'ExecuteMain/GetDateTime'
			,ticket: false
			,data: {
				dateTimeType: dateTimeType
				,isAdd: isAdd
				,addValue: addValue
			}
			,dataType: 'json'
			,cache: false
			,async: false
			,success: function(returnData, status) {
				if (returnData.succ){
					return callback(returnData.data);
				} else {
					return callback(common.getNowFormatDate());
				}
			}
			,error: function (jqXHR, textStatus, errorThrown) {
				return callback(common.getNowFormatDate());	
			}
		});
	}
}(mui, window.user = {}));