var apiUrl = '';

var apiData = {};

mui.init({
	swipeBack: true //启用右滑关闭功能
});

mui.plusReady(function(){
	
});

mui.ready(function() {
	getApiInfo();
});

//清空infoVue数据，适用于下拉刷新时使用
function getDefaultData(){
	return {
		ifNoData: true
		,items: [] 
	}
}

var infoVue = new Vue({
    el: '#fireRoomList'
    ,data: {
        ifNoData: true
		,items: [] 
    }
    ,methods: {
		resetData: function() {
			Object.assign(this.$data, getDefaultData());
		}
	}
});

//转换json数据
function convert(items) {
	var newItems = [];
	if (Array.isArray(items)){
		items.forEach(function(item) {
			newItems.push({
				Id: item.ID
				,OwnerCode: item.OwnerCode
				,OwnerName: item.OwnerName
				,adminunit: item.adminunit
				,RoomCode: item.RoomCode
				,RoomName: item.RoomName
				,RegTime: item.RegTime.replace('T', ' ')
				,LocationAddr: item.LocationAddr
				,Reserve: item.Reserve
			});
		});
	}
	return newItems;
}



//获取页面需要访问的思迪接口信息
function getApiInfo(){
	var pData = {
		token: user.getToken()
		,apiType : common.ApiType.FireRoomVideo
	}
	common.ajax({
		type: 'get'
		,url: common.ajaxDomainUrl + 'ManageMain/GetApi'
		,data: pData
	}, function(jsonData, status) {
		if(jsonData.succ) {
			var apiInfo = jsonData.data.apiInfo;
			apiUrl = apiInfo.ApiUrl;
			mui.each(apiInfo.ParamInfo, function(index, item){
				apiData[item.ParamName] = item.ParamValue;
			});
			getData();
		} else {
			mui.toast('访问错误！');
		}
		isInit = true;
	});
}

function getData(){
	common.ajax({
		type: 'get'
		,url: apiUrl
		,ticket: false 
		,data: apiData 
		,pageName: 'MonitorFireRoomVedio'
		,funcName: '-getData'
	}, function(jsonData, status) {

	});
} 
