mui.init({
	swipeBack: true //启用右滑关闭功能
	,pullRefresh: {
		container: '#scroll'
		,down: {
			style: 'circle'
			,offset: '90px'
			,auto: true
			,callback: pulldownRefresh
		}
		,up: {
			//auto: true,
			contentrefresh: '正在加载...'
			,callback: pullupRefresh
		}
	} 
});

var page = 1;
var rows = 9;
var guid = '';

/**
 *  下拉刷新获取最新列表 
 */
function pulldownRefresh() { 
	if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.toast('似乎已断开与互联网的连接', {
			verticalAlign: 'top'
		});
		return;
	}
	page = 1; 
	workVue.resetData();  
	mui('#scroll').pullRefresh().enablePullupToRefresh();
	getList( );
	mui('#scroll').pullRefresh().endPulldown(); 
}
/**
 * 上拉加载
 */
function pullupRefresh() {
//	page = 2;
	getList();
}

//没有码
function openForm() { 
	Common.openWebPage('xunRwForm.html', 'xunRwForm.html', {
		title: titleVue.title
	}, false, '', '', 'slide-in-right');
}
mui.ready(function() {});

function getDefaultData(){
	return {
        items: []
        ,isNodata: false
	}
}
var workVue = new Vue({
    el: '#work'
    ,data: {
        items: [],
        isNodata: false
    }
    ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
    
});
var titleVue = new Vue({
	el: '#title'
	,data: {
		title: '' //列表信息流数据
	}
});
function getList(){	
//	console.log(page);
	var postData = {
		token: user.getToken()
		,workGuid: guid
		,page: page
		,rows: rows 
	}
	common.ajax({
		type: 'post',
		url: common.ajaxDomainUrl + 'Work/GetWorkLogs',
		data: JSON.stringify(postData),
	}, function(jsonData, status) {
		if(jsonData.succ) {	
			console.log(JSON.stringify(jsonData));
			var num = jsonData.msg;
			if(num <=0 ){
				workVue.isNodata = true;
			}else{
				workVue.isNodata = false;
			}
			
			pageCount = Math.ceil(jsonData.msg / rows) ;  //页数
//			console.log(pageCount);
			if(page === 1){
				workVue.items = jsonData.data.works;
				mui('#scroll').pullRefresh().enablePullupToRefresh();
			}else{
				workVue.items = workVue.items.concat(jsonData.data.works);
			}
			
			if(page >= pageCount){
				mui('#scroll').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#scroll').pullRefresh().endPullupToRefresh(false);
				page = page + 1;
			}			
			if(pageCount <= 1){
				mui('#scroll').pullRefresh().disablePullupToRefresh();
			}
			
			titleVue.title = jsonData.data.workName;
		} else {
			mui.toast('访问错误！');
		}		
	});
}


mui.plusReady(function() {
	var sData = plus.webview.currentWebview();
	console.log(sData.guid);
	
	guid = sData.guid;
	if(guid && guid !=''){
//		pulldownRefresh()
//		getList();
	}
	console.log('1');
});