var ws = null,
	wo = null;
var scan = null,
	domready = false,
	open = true;

function setFlash1() {
	scan.setFlash(open);
	open = !open;
}
// H5 plus事件处理
mui.plusReady(function() {
	if(ws || !window.plus || !domready) {
		return;
	}
	// 获取窗口对象
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	// 开始扫描
	ws.addEventListener('show', function() {
		scan = new plus.barcode.Barcode('bcid');
		scan.onmarked = onmarked;
		scan.start({
			conserve: true,
			filename: '_doc/barcode/'
		});
	}, false);
	// 显示页面并关闭等待框
	ws.show('pop-in');
	wo.evalJS('closeWaiting()');

});
// 监听DOMContentLoaded事件
document.addEventListener('DOMContentLoaded', function() {
	domready = true;
	//plusReady();
}, false);
// 二维码扫描成功
function onmarked(type, result, file) {
	switch(type) {
		case plus.barcode.QR:
			type = 'QR';
			break;
		case plus.barcode.EAN13:
			type = 'EAN13';
			break;
		case plus.barcode.EAN8:
			type = 'EAN8';
			break;
		default:
			type = '其它' + type;
			break;
	}
	result = result.replace(/\n/g, '');
	wo.evalJS("scaned('" + type + "','" + result + "','" + file + "');");

	//获取扫描结果
	getscanInfo(result);
}
// 从相册中选择二维码图片 
function scanPicture() {
	plus.gallery.pick(function(path) {
		plus.barcode.scan(path, onmarked, function(error) {
			plus.nativeUI.alert('无法识别此图片');
		});
	}, function(err) {
//		console.log('Failed: ' + err.message);
	});
}

//获取巡查数据
function getscanInfo(result){
	var QRtype = JSON.parse(result).qrTypeKey;
	var guid = JSON.parse(result).guid;

	var buildingGuid = null;
	var facilitiesGuid = null;
	if(QRtype.toUpperCase() === 'BD'){
		buildingGuid = guid
	}	
	if(QRtype.toUpperCase() === 'FA'){
		facilitiesGuid = guid
	}
	
	//巡查数据
	getxunList(buildingGuid,facilitiesGuid);	
}
//巡查数据
function getxunList(buildingGuid, facilitiesGuid){
	var postData = {
		token: user.getToken()
		,buildingGuid: buildingGuid
		,facilitiesGuid: facilitiesGuid
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Task/GetTasks'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
//			console.log(JSON.stringify(jsonData));
			var taskNum = jsonData.data.tasks.length;
//			console.log(taskNum + ',type:'+ typeof taskNum);
			if(taskNum === 1){
//				console.log('1');
				common.openWebPage('xunRwForm.html', 'xunRwForm.html', {
					data : jsonData.data.tasks[0],
				}, false, '', '', 'slide-in-right');
			}else{
//				console.log('2');
				common.openWebPage('xunScanList.html', 'xunScanList.html', {
					data: jsonData.data.tasks,
					title: jsonData.data.caption
				}, false, '', '', 'slide-in-right');
			}
			
//			scanListVue.items = jsonData.data.tasks;
//			titleVue.title = jsonData.data.caption;
		}else{
			mui.toast('访问错误！')
		}
	});
}