mui.init({
	swipeBack:true //启用右滑关闭功能
});

mui.ready(function(){
	var getUser=document.getElementById('getUser');
	getUser.addEventListener('tap', function(){
		common.openWebPage('../user/selectDep.html', 'selectDep.html', {
			webViwid : 'commandSend.html',
			checkType : 'checkbox'
		}, false, '', '', 'slide-in-right');
	});
})

mui.plusReady(function(){
	var uid = [];
	document.addEventListener('getName', function(event){
		uid = event.detail.userId;
		var uName = event.detail.userName;
		var uNameTxt = uName[0];
		for(i = 1; i < uName.length; i++){
			uNameTxt = uNameTxt + ',' + uName[i];
		}
		document.getElementById('getUser').innerText = uNameTxt;
		change();
	})
	
	//保存数据
	document.getElementById('submit').addEventListener('tap', function(){
		var titleTxt = document.getElementById('title').value;
		var uidTxt = uid;
		var conTxt = document.getElementById('con').value.trim();
		
		//判断数据是否为空
		if(titleTxt != null && titleTxt != undefined && titleTxt != ''){
			if(uidTxt != null && uidTxt != undefined && uidTxt != ''){
				if(conTxt != null && conTxt != undefined && conTxt != ''){
					var postData = {
						token: user.getToken()
						,dataJson:JSON.stringify({
							title: titleTxt
							,content: conTxt
							,toUserGuids: uidTxt
						})
					};
					save(postData);
				} else {
					mui.toast('指令内容不能为空！'); 
					return false;
				}
			} else {
				mui.toast('请选择用户！');
				return false;
			}
		} else {
			mui.toast('标题不能为空！');
			return false;
		}
	});
})

function save(postData){
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Dictate/PostSave'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
			mui.toast(jsonData.msg);
			var btn = document.getElementById('submit');
			btn.setAttribute('disabled','disabled');
			
		} else {
			mui.toast('访问错误！')
		}
	});
}

function change(){
	var btn = document.getElementById('submit');
	btn.removeAttribute('disabled');
}
