var lastId = 0,
	pageSize = 10;

var apiData = {}; //可查岗的传输装置列表思迪接口参数 
var apiUrl = ''; //可查岗的思迪接口

var inspectData = {}; //查岗思迪传输装置接口参数
var inspectUrl = ''; //查岗的思迪接口

var isInit = false; //配置是否正确获取思迪接口信息数据

//倒计时
var _timerID = -1;
var chaState = false;

//mui初始化，配置下拉刷新
mui.init({
	swipeBack: true, //启用右滑关闭功能 
	pullRefresh: {
		container: '#list',
		down: {
			style: 'circle',
			offset: '60px',
			auto: true,
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '消防管家正在加载...',
			callback: pullupRefresh
		}
	}
});

mui.plusReady(function() {
	getInspectApi();
});

//下拉刷新获取最新数据
function pulldownRefresh() {
	if(!isInit) {
		if(!(user.localStorageData.ownerInfoNameSD && user.localStorageData.ownerInfoNameSD !== '')) {
			user.getOwnerInfoNameSD(false);
		}
		if(!(user.localStorageData.ownerInfoNameSD && user.localStorageData.ownerInfoNameSD !== '')) {
			mui.toast('获取用户机构名称失败');
		}

		getApiInfo();
	}
	if(isInit) {
		infoVue.resetData();
		lastId = 0;
		getData(true);
	} else {
		mui.toast('获取url出现错误');
	}
}

//上拉加载更多数据
function pullupRefresh() {
	getData(false);
}

//加载数据
function getData(isFirstLoad) {

	//	console.log('ajax参数：' + JSON.stringify(apiData));
	common.ajax({
		type: 'get',
		url: apiUrl
			//			,ticket: false
			,
		data: apiData
	}, function(jsonData, status) {
		if(jsonData.Code == 200) {
						console.log('数据：' + JSON.stringify(jsonData));
			if(isFirstLoad) {
				mui('#list').pullRefresh().endPulldownToRefresh();
				//设置下拉加载可用
				mui('#list').pullRefresh().enablePullupToRefresh();
			}
			var mainData = JSON.parse(jsonData.Msg);
			lastId = mainData.LastId;
			if(mainData && mainData.length > 0) {
				if(isFirstLoad) {
					infoVue.ifNoData = true;
				}
				//根据返回记录数是否小于每页数量来设置是否允许下拉加载，true为不允许继续下拉加载
				mui('#list').pullRefresh().endPullupToRefresh(mainData.length < pageSize);
				infoVue.items = infoVue.items.concat(convert(mainData));
				console.log(JSON.stringify(infoVue.items));
			} else {
				if(isFirstLoad) {
					infoVue.ifNoData = false;
				}
				mui('#list').pullRefresh().endPullupToRefresh(true);
			}

			if(!mainData.Items || mainData.Items.length < pageSize) {
				//根据是否有无数据的相应处理，来决定是否延时禁用下拉加载
				//注意！！！！！！！！禁用下拉加载只为不显示mui自带的“没有更多数据了”信息提示
				//setTimeout(function(){
				mui('#list').pullRefresh().disablePullupToRefresh();
				//}, 1000);
			}
//			initTimer();
		} else {
			mui.toast('出错啦！')
		}
	});
}

//获取页面需要访问的思迪接口信息（可查岗）
function getApiInfo() {
	var pData = {
		token: user.getToken(),
		apiType: common.ApiType.InspectList //7可查岗的传输装置 
	}
	//	console.log(JSON.stringify(pData));
	common.ajax({
		type: 'get',
		url: common.ajaxDomainUrl + 'ManageMain/GetApi',
		data: pData
			//async在此处设置为false，不采用异步处理方式
			//否则isInit未正确获取相应值时，无法步入getData的流程
			,
		async: false
	}, function(jsonData, status) {
		//		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			console.log('思迪接口参数：' + JSON.stringify(jsonData));
			var apiInfo = jsonData.data.apiInfo;
			apiUrl = apiInfo.ApiUrl;
			mui.each(apiInfo.ParamInfo, function(index, item) {
				apiData[item.ParamName] = item.ParamValue;
			});
		} else {
			mui.toast('访问错误！');
		}
		isInit = true;
	});
}
//获取页面需要访问的思迪接口信息（查岗）
function getInspectApi() {
	var pData = {
		token: user.getToken(),
		apiType: common.ApiType.Inspect //8 查岗
	}
	console.log(JSON.stringify(pData));
	common.ajax({
		type: 'get',
		url: common.ajaxDomainUrl + 'ManageMain/GetApi',
		data: pData,
		//async在此处设置为false，不采用异步处理方式
		//否则isInit未正确获取相应值时，无法步入getData的流程
		async: false
	}, function(jsonData, status) {
		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			console.log('思迪接口参数：' + JSON.stringify(jsonData));
			var apiInfo = jsonData.data.apiInfo;
			inspectUrl = apiInfo.ApiUrl;
			mui.each(apiInfo.ParamInfo, function(index, item) {
				inspectData[item.ParamName] = item.ParamValue;
			});
		} else {
			mui.toast('访问错误！');
		}
	});
	console.log('查岗参数：' + JSON.stringify(inspectData));
}
//清空infoVue数据，适用于下拉刷新时使用
function getDefaultData() {
	return {
		ifNoData: true,
		items: []
	}
}

//绑定的vue数据结构
var infoVue = new Vue({
	el: '#infoList',
	data: {
		ifNoData: true,
		items: []
	},
	methods: {
		resetData: function() {
			Object.assign(this.$data, getDefaultData());
		}
	},
	updated:function(){ 
		initTimer();
	}
});

//转换json数据
function convert(items) {
	var newItems = [];
	if(Array.isArray(items)) {
		items.forEach(function(item) {
			newItems.push({
				Id: item.ID,
				OwnerCode: item.OwnerCode,
				OwnerName: item.OwnerName,
				Phone: item.Phone,
				Address: item.Address,
				DeviceIndex: item.DeviceIndex,
				DeviceCode: item.DeviceCode,
				DeviceNo: item.DeviceNo,
				OnlineTime: item.OnlineTime.replace('T', ' '),
				DeviceName: item.DeviceName,
				DeviceStatus: item.DeviceStatus,
				Lastupdate: item.Lastupdate.replace('T', ' '),
				OwnerTypeID: item.OwnerTypeID,
				ParentCode: item.ParentCode,
				HardVersion: item.HardVersion,
				ManufacturerCode: item.ManufacturerCode,
				ManufacturerCode: item.ManufacturerCode,
				Reserve: item.Reserve,
				adminunit: item.adminunit
			});
		});
	}
	return newItems;
}
function initTimer()
{
	console.log('开始');
    if (_timerID != -1)
        clearInterval(_timerID);
    _timerID = setInterval(function () {
        mui(".t_t").each(function () {
            var val = this.innerText;
            val = parseInt(val);
            console.log(val);
            
            var chaBtn = this.parentNode.nextElementSibling; 
            if(val > 0){
            	this.parentNode.classList.remove('hide');
            	chaBtn.classList.remove('mui-badge-success');
            	chaBtn.innerHTML='查岗中..';
            	chaBtn.classList.add('mui-disabled');
            }
            if(!isNaN(val))
            {
                val = val-1;
                if(val<=0)
                {
                	var $dataId=this.getAttribute('id');
//              	console.log($dataId);
                	this.parentNode.classList.add('hide'); 
//              	console.log(this.parentNode.nextElementSibling.innerHTML);
                	chaBtn.classList.add('mui-badge-success'); 
                	chaBtn.classList.remove('mui-disabled');
                	chaBtn.innerHTML='查岗';
//                  var oc=$(this).prev().attr("ownercode"); 
//                  $(this).parent().html("<button class='insearch hasKPI' onclick='inSearch(this);' inonline=1 ownercode='" + oc + "'>查岗</button>");
                }
                else
                {
                    this.innerText = val.toString();
                }
            }
        });
    }, 1000, null);
}

//查岗
function Isinspect(ownCode, event) {
//	console.log(JSON.stringify(event.detail));
	var $this = event.target;
	console.log($this.innerHTML); 
	
	var isOnline = $this.getAttribute('data-isonline');
	console.log(isOnline); 
	if (isOnline == 0) {
		  mui.toast('设备不在线，无法查岗!')
            return;
    }
	//获取倒计时
	var countHtml = $this.parentNode.childNodes[2];
	//获取当前查岗的倒计时id
	var dataId = countHtml.childNodes[0].getAttribute('id');
//	console.log(countHtml.innerHTML);

	inspectData.ownercode = ownCode;
	console.log(JSON.stringify(inspectData));

	common.ajax({
		type: 'get',
		url: inspectUrl,
		data: inspectData
	}, function(jsonData, status) {
		console.log(JSON.stringify(jsonData));
		if(jsonData.Code==200) {
			console.log('查岗成功');
			//显示倒计时
			countHtml.classList.remove('hide');
			countHtml.childNodes[0].innerHTML = '180';
			
			//改变查岗样式
			$this.innerText = '查岗中';
			$this.classList.add('mui-disabled', 'white');
			$this.classList.remove('mui-badge-success');
			
			//提示
			mui.toast('正在查岗,等待值班人员回应,请稍后到查岗记录中查询!',{ duration:'long', type:'div' }) 
			initTimer();
			//倒计时
		//	initTimer('倒计时数字id', '回调函数(返回是否倒计时完毕)')
//			initTimer(dataId, function(data) {
//				console.log(data);
//				if(data) {
//					countHtml.classList.add('hide');
//					str.innerText = '查岗';
//					str.classList.remove('mui-disabled', 'white');
//					str.classList.add('mui-badge-success');
//				}
//			})
			
		} else {
			mui.toast(jsonData.Msg);
		} 
	});
}

function IsWork() {
	mui.toast('设备不在线，无法查岗！')
}

//点击导航栏横条进入详情页
document.getElementById('inspectList').addEventListener('tap', function() {
	common.openWebPage('inspectList.html', 'inspectList.html', {

	}, false, '', ' ', 'slide-in-right');
})