mui.init({
	swipeBack: false //启用右滑关闭功能
	,pullRefresh: {
		container: '#main'
		,down: {
			style: 'circle'
			,offset: '0px'
			,callback: pulldownRefresh
		}
	} 
});
var _wXun = null;
var _wCheck = null;
mui.plusReady(function(){
//	var	xunList = mui.preload({ 
//		url: 'xunListAdmin.html'
//		,id: 'xunListAdmin.html' 
//	});	
	var	checkList = mui.preload({ 
		url: 'checkListAdmin.html'
		,id: 'checkListAdmin.html' 
	});	
	
	_wXun = plus.webview.getWebviewById('xunListAdmin.html');
	_wCheck = plus.webview.getWebviewById('checkListAdmin.html');
//	console.log(JSON.stringify(_w));
});

//下拉刷新
function pulldownRefresh() {
	if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.toast('似乎已断开与互联网的连接', {
			verticalAlign: 'top'
		});
		return;
	}
	getMainData();
	mui('#main').pullRefresh().endPulldown();
}

mui('#icon').on('tap', 'a', function(e) {
	var targetTab = this.getAttribute('href');
	var targetId = this.getAttribute('data-guid');
	common.openWebPage(targetTab, targetId, {}, false, '', '', 'slide-in-right');
});

mui.ready(function() {
	//获取页面数据
	getMainData();
	
	setInterval('getMainData()', 1000 * 60);
})

//进度信息及图标角标
var progressVue = new Vue({
	el: '#progress'
	,data: {
		notices: []    //公告
		,oldXunCount: 0
		,xun: []		//巡查进度
		,oldJianCount: 0
		,jian: []		//检查进度
		,instructionCount: ''  //指令
		,taskCount: ''		//任务流转
		,depList: []      //部门列表
	}
	,updated: function () {
		var _this = this;
		//图标数字
		var taskCount = document.getElementById('taskCount');
		if(_this.taskCount > 0){
			taskCount.innerText = _this.taskCount;
		}

		//图标数字
		var instruction = document.getElementById('instruction');
		if(_this.instructionCount > 0){
			instruction.innerText = _this.instructionCount;
		}
		
		
		//环形进度条
		var xun = document.getElementById('xun');
		circular(xun, _this.oldXunCount, _this.xun.rate, '#2ea77e', '#f1f6f4');
	
		var jian = document.getElementById('jian');
		circular(jian, _this.oldJianCount, _this.jian.rate, '#2ea77e', '#f1f6f4');
	}
});

//公告
var noticesVue = new Vue({
	el: '#notices'
	,data: {
		items: [] //列表信息流数据
	}
	,updated: function(){
		notice('#notices ul')
	}
});

function openArticle(guid, apiInfo, event){
	var _webview = null;
	if (mui.os.plus){
		_webview = plus.webview.getWebviewById('articleInfo.html');
	}
    common.openWebPage('../article/articleInfo.html', 'articleInfo.html', {
		guid: guid
		,apiInfo: apiInfo
    }, true, _webview, 'articleInfo', 'slide-in-right');
}

function getMainData(){
	var postData = {
		token: user.getToken()
	}
//	console.log(JSON.stringify(postData));
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'ManageMain/Welcome'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {		
		if(jsonData.succ) {
//			console.log(JSON.stringify(jsonData));
			var data = jsonData.data;
			//轮播图
			sliderImageVue.items = sliderImageVue.items.concat(convertSliderImage(jsonData.data.slideArticles));
            sliderIndicatorVue.items = sliderIndicatorVue.items.concat(convertSliderIndicator(jsonData.data.slideArticles));
			//公告
			noticesVue.items = data.noticesArticle;
			//巡查数据
			var xunrate = 0;
			if(data.patrol.totalCount !=0 ){
				xunrate = Math.round(data.patrol.checkedCount / data.patrol.totalCount * 10000) / 100.00;
			} 
			data.patrol.rate = xunrate;
			if (progressVue.xun.rate){
//				console.log('已有xun.rate：' + progressVue.xun.rate);
				progressVue.oldXunCount = progressVue.xun.rate;
			} else {
//				console.log('不有xun.rate');
				progressVue.oldXunCount = 0;
			}
			progressVue.xun = data.patrol;
			
			//检查数据
			var jianrate =0;
			if(data.inspect.totalCount != 0){
				jianrate = Math.round(data.inspect.checkedCount / data.inspect.totalCount * 10000) / 100.00;
			}
			data.inspect.rate = jianrate;
			if (progressVue.jian.rate){
				progressVue.oldJianCount = progressVue.jian.rate;
			} else {
				progressVue.oldJianCount = 0;
			}
			progressVue.jian = data.inspect;
			
//			console.log(JSON.stringify( progressVue.jian ) + ',' + JSON.stringify( progressVue.xun) );
			
			//部门列表信息
			progressVue.depList = data.deptList;
//			console.log(JSON.stringify( progressVue.depList) );
			
			//指令信息图标数量
			progressVue.instructionCount = data.instructionTaskCount;
			
			//任务流转图标数量
			progressVue.taskCount = data.waitItAbnormalCount;
		}else{
			mui.toast('访问错误！111');
//			console.log(JSON.stringify(jsonData));
		}
	});
}
///轮播
var sliderImageVue = new Vue({
    el: '#sliderImage'
    ,data: {
        items: [] //列表信息流数据
    }
    ,updated: function () {
        var slider = mui('#slider');
		slider.slider({ interval: 5000 });
    }
});


var sliderIndicatorVue = new Vue({
    el: '#sliderIndicator'
    ,data: {
        items:[]
    }
});
//轮播图
function convertSliderImage(items) {
    var newItems = [];
    items.forEach(function (item) {
        newItems.push({
            isFirst: false
            ,guid: item.guid
            ,img: item.img
            ,title: item.title
        });
    });
    if (newItems.length > 0) {
        newItems.unshift({
            isFirst: true
            ,guid: newItems[newItems.length - 1].guid
            ,img: newItems[newItems.length - 1].img
            ,title: newItems[newItems.length - 1].title
        });
        
        newItems.push({
            isFirst: true
            ,guid: newItems[1].guid
            ,img: newItems[1].img
            ,title: newItems[1].title
        });
    }
    return newItems;
}

//轮播点
function convertSliderIndicator(items) {
    var newItems = [];
    var isFirstValue = true;
    items.forEach(function (item) {
        newItems.push({
            isFirst: isFirstValue
        });
        isFirstValue = false;
    });
    return newItems;
}


//点击检查任务进度进入检查任务列表
function openCheckList(depList){
	console.log('首页部门：'+ JSON.stringify(depList));
//	var _webview = plus.webview.getWebviewById('checkListAdmin.html');
//	if (mui.os.plus){
//		_webview = plus.webview.getWebviewById('checkListAdmin.html');
//	}
	console.log('检查：'+ JSON.stringify(_wCheck));
	 common.openWebPage('checkListAdmin.html', 'checkListAdmin.html', {
		depList: depList
    }, true, _wCheck, 'getDepList', 'slide-in-right');
}

//点击巡查任务进度进入巡查任务列表
function openXunList(depList){
	console.log('首页部门：'+ JSON.stringify(depList));
//	var _webview = plus.webview.getWebviewById('xunListAdmin.html');
//	if (mui.os.plus){
//		_wXun = plus.webview.getWebviewById('xunListAdmin.html');
//	}
//	console.log('巡查：'+ JSON.stringify(_webview));
	console.log('巡查：'+ JSON.stringify(_wXun));
	 common.openWebPage('xunListAdmin.html', 'xunListAdmin.html', {
		depList: depList
    }, false, '', 'getDepListC', 'slide-in-right');
}
