mui.init({
	swipeBack: true, //启用右滑关闭功能
});
	
//选择部门
var deptsVue = new Vue({
    el: '#depts'
    ,data: {
        items: []
    }
});

//选择用户
var userVue = new Vue({
    el: '#user'
    ,data: {
        items: []
        ,checktype: ''
    }
});


//选择人员
function getUsers(depID){
	var postData = {
		token: user.getToken()
		,deptGuid: depID
	};
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Account/SelectUsers'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
			userVue.items=jsonData.data[0].users;
		} else {
			mui.toast('访问错误！')
		}
	});
}

mui.ready(function() {

});

mui.plusReady(function(){
	var sData = plus.webview.currentWebview();
	var depID = sData.depID;
	var webviewId = sData.webViwid;
	var checkType = sData.checkType;
	//设置单选还是多选
	userVue.checktype = checkType;
	if(checkType === 'checkbox'){
		var userId = [];
		var userName = [];
	}else{
		var userId = '';
		var userName = '';
	}
	
	getUsers(depID);
	
	//保存
	document.getElementById('submit').addEventListener('tap', function(){
		//判断是多选
		if(checkType === 'checkbox'){
			mui("input[name='check']").each(function(){
				if(this.checked){
					var uId = this.value;
					var uName = this.getAttribute('data-name');
					userId.push(uId);
					userName.push(uName);
				}
			});
		} else {
			mui("input[name='radio']").each(function(){
				if(this.checked){
					userId = this.value;
					userName = this.getAttribute('data-name');
				}
			});
		}
		
		//把name返回到首页
		var view = plus.webview.getWebviewById(webviewId);
		mui.fire(
			view
			,'getName'
			,{
				userId: userId
				,userName: userName
			}
		);
		view.show();
	});
});
