(function($, doc) {
	$.init();
	$.plusReady(function(){
//		 mui.preload({
//		    url:'guide.html',
//		    id:'guide.html'
//		});
		document.addEventListener('reload', function(event){
//			console.log('触发应用首页的reload事件');
			reload();
		});
			
		reload();
		
	});
	
	$.ready(function(){
		
	});
	
	function update() {
		mui.ajax({
			type: 'get'
			,url: common.ajaxDomainUrl + 'Upgrade/Check'
			,data: {
				currInnerVer: common.AppInfo.AppInnerVersion
				,platform: common.getRuntime()
			}
			,dataType: 'json'
			,cache: false
			,async: false
			,success: function (returnData, status) {
				if (returnData.succ){
					plus.nativeUI.confirm('请更新新版本', function(event) {
						if (0 == event.index) {
							var ua = navigator.userAgent.toLowerCase();
        					if(/iphone|ipad|ipod/.test(ua)) {
        						//打开更新页
        						//https://itunes.apple.com/us/app/%E4%BA%91%E5%8D%97%E6%B6%88%E9%98%B2%E7%AE%A1%E5%AE%B6/id1435756641?l=zh&ls=1&mt=8
        						document.location.href = returnData.data.appPath;
        					} else if(/android/.test(ua)){
//      						console.log('android下载更新地址：' + returnData.data.appPath);
								var process = 0;
								var progressbar1 = mui('#demo1');
								document.getElementById('demo1').classList.remove('hide');
        						var w = plus.nativeUI.showWaiting('升级中，请等待...', {
        							style: 'black'
        							,size: '16px'
        							,color: '#fff'
        							,background: 'rgba(000,000,000,0.5)'
        							,loading: {
        								display: 'inline'
        								,color:'#fff'
    								}
    							});
								var dtask = plus.downloader.createDownload(returnData.data.appPath, {filename: '_downloads/'}, function (d, status){
//									console.log(JSON.stringify(d));
									if (status === 200) { 
//										console.log('xx');
										w.close();	

										document.getElementById('demo1').classList.add('hide');
										plus.runtime.install(d.filename, {force:true}, function(){
											mui.alert('更新成功，请重启', function(){
												plus.runtime.quit();
											});
										}, function(e){
											mui.alert(e.message);
											initRun();
										});		
								
									} else {
										mui.alert('下载更新文件失败: ' + status);
										initRun();
									}
								});	
								
								dtask.addEventListener( "statechanged", function(task,status){
							    	if(!dtask){return;}
							    	switch(task.state) {
							    		case 1: // 开始
//							    			console.log( "开始下载..." );
							    		break;
							    		case 2: // 已连接到服务器
//							    			console.log( "链接到服务器..." );
							    		break;
							    		case 3:	// 已接收到数据
//							    			console.log( "下载数据更新:" );
							    			process = Math.round(task.downloadedSize / task.totalSize * 100) ;
//							    			console.log(process);
							    			mui(progressbar1).progressbar().setProgress(process);							    			
							    		break;
							    		case 4:	// 下载完成							    		
//							    			console.log( "下载完成！" );
//							    			console.log( task.totalSize );
							    		break;
							    	}
							    });
							    
								dtask.start();
							} else {
								mui.alert('当前运行设备或环境不支持此应用的更新');
							}
						} else {
							initRun();
						}
					}, '版本更新', ['立即更新', '取　　消']);
				} else {
					initRun();
				}
			}
			,error: function (jqXHR, textStatus, errorThrown) {
				initRun();	
			}
		});
	}
	
	function sleep(numberMillis) {
	    var now = new Date();
	    var exitTime = now.getTime() + numberMillis;
	    while (true) {
	        now = new Date();
	        if (now.getTime() > exitTime){
	            return;
	       }
	    }
	}
	
	function initRun(){
		var webview = null;
		var webviewName = '';
		user.tryAutoLogin(function(isLogin){
//			console.log('返回');
			if(isLogin){
				user.getIndexPage(function(indexPage){
					if(indexPage){
						webviewName = indexPage;			    
					} else {
						webviewName = 'login.html';
					}
				});				
			} else { 
				webviewName = 'login.html';				
			}
			if ($.os.plus){
				webview = plus.webview.getWebviewById(webviewName);
			}
			if (webview){
				common.openWebPage(webviewName, webviewName, {}, true, webview, '', 'slide-in-right');	
			} else {
				common.openWebPage(webviewName, webviewName, {}, false, webview, '', 'slide-in-right');
			}			
		});
	}
	
	function reload(){
		if ($.os.plus){
			plus.screen.lockOrientation('portrait-primary');
		}
//		console.log('reload here01');
		var currentWebview = plus.webview.currentWebview();
		var wvs = plus.webview.all();
	    for(var i = 0; i < wvs.length; i++){
	    	if (wvs[i].id === currentWebview.id || wvs[i].id === 'login.html'){
//	    		console.log('本页面的webview的Id为：' + wvs[i].id);
	    	} else {
//	    		console.log('当前需要关闭的webview的Id为：' + wvs[i].id);
	    		plus.webview.close(wvs[i]);
	    	}
	    }
//	    console.log('reload here02');
		
		
		//读取本地存储，检查是否为首次启动
		var guid = plus.storage.getItem("guid");
//		console.log(guid);
		//仅支持竖屏显示
		if(guid) {
			//有值，说明已经显示过了，无需显示；
			//关闭splash页面；
			plus.navigator.closeSplashscreen();
			plus.navigator.setFullscreen(false);
			
			update();
			
		} else {
			//显示启动导航
			mui.openWindow({
				id: 'guide.html',
				url: 'guide.html', 
				styles: {
					popGesture: "none"
				},
				show: {
					aniShow: 'slide-in-right',
					duration:200
				},
				waiting: {
					autoShow: false
				}
			});
		}
		
	}
}(mui, document));