//mui初始化
mui.init();


var subpages = [
		'html/system/mainAdmin.html'
		,'html/article/features.html'
		,'html/statis/statistics.html'
		,'html/user/user.html'  
];
var subpageIds = [
		'mainAdmin.html'
		,'features.html'
		,'statistics.html'
		,'user.html', 		
];
				
var subpage_style = {
	top: '0px'
	,bottom: '51px'
};

var aniShow = {};

//创建子页面，首个选项卡页面显示，其它均隐藏；
mui.plusReady(function() {
	plus.screen.lockOrientation('portrait-primary');
	var self = plus.webview.currentWebview();	
	for (var i = 0; i < 4; i++) {
		var temp = {};
		var sub = plus.webview.create(subpages[i], subpageIds[i], subpage_style);
		if (i > 0) {
			sub.hide();
		}else{
			temp[subpageIds[i]] = 'true';
			mui.extend(aniShow,temp);
		}
		self.append(sub);
	}
});
//当前激活选项
var activeTab = subpageIds[0];

//选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	var targetTab = this.getAttribute('href');
	if (targetTab === activeTab) {
		return;
	}
		
	if(mui.os.ios||aniShow[targetTab]){
		plus.webview.show(targetTab);
	}else{
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow,temp);
		plus.webview.show(targetTab,"fade-in",300);
	}
	//隐藏当前;
	plus.webview.hide(activeTab);
	//更改当前活跃的选项卡
	activeTab = targetTab;		
});
//自定义事件，模拟点击“选项卡”
document.addEventListener('changeTab', function(event) {
	var tabId = event.detail.tabName;
	if(!tabId || tabId === ''){
		tabId = 'mainTab';
	}
	var defaultTab = document.getElementById(tabId);
	//模拟首页点击
	mui.trigger(defaultTab, 'tap');
	//切换选项卡高亮
	var current = document.querySelector('.mui-bar-tab>.mui-tab-item.mui-active');
	if (defaultTab !== current) {
		current.classList.remove('mui-active');
		defaultTab.classList.add('mui-active');
	}
});