(function($, doc) {
	var lastId = 0,
		pageSize = 10;  
	
	var apiUrl = '';
	
	var apiData = {};
	//配置是否正确获取思迪接口信息数据
	var isInit = false;

	//mui初始化，配置下拉刷新
	$.init({
		swipeBack: true,//启用右滑关闭功能 
		pullRefresh: {
			container: '#list'
			,down: {
				style: 'circle'
				,offset: '50px'
				,auto: true
				,callback: pulldownRefresh
			}
//			,up: {
//				contentrefresh: '正在加载...'
//				,callback: pullupRefresh
//			}
		}
	});
	
//	$.plusReady(function() {
//		if (!isInit){
//			getApiInfo();
//		}
//		if (isInit){
//			infoVue.resetData();
//			lastId = 0;
//			getData(true);
//		} else {
//			mui.toast('获取url出现错误');
//		}
//	});

	//下拉刷新获取最新数据
	function pulldownRefresh() {
		if (!isInit){
			getApiInfo();
		}
		if (isInit){
			infoVue.resetData();
			lastId = 0;
			getData(true);
		} else {
			mui.toast('获取url出现错误');
		}
	}

	//上拉加载更多数据
	function pullupRefresh() {
		getData(false);
	}
	
	//加载数据
	function getData(isFirstLoad){
		common.ajax({
			type: 'get'
			,url: apiUrl
			,ticket: false
			,data: apiData
		}, function(jsonData, status) {
//			if (isFirstLoad){
//				mui('#list').pullRefresh().endPulldownToRefresh();
//				//设置下拉加载可用
//				mui('#list').pullRefresh().enablePullupToRefresh();
//			}
			
//			console.log(jsonData.Msg);
			var mainData = JSON.parse(jsonData.Msg); 
			lastId = mainData.LastId;
			if(mainData && mainData.length > 0) {
//				if (isFirstLoad){ 
//					infoVue.ifNoData = false;
//				}
				//根据返回记录数是否小于每页数量来设置是否允许下拉加载，true为不允许继续下拉加载
//				mui('#list').pullRefresh().endPullupToRefresh(mainData.length < pageSize);
				infoVue.items = infoVue.items.concat(convert(mainData));
				mui('#list').pullRefresh().endPulldown(); 
			} else {
//				if (isFirstLoad){
//					infoVue.ifNoData = false;
//				}
				infoVue.ifNoData = true;
				//结束下拉刷新
				mui('#list').pullRefresh().endPulldown(); 
			}

			if (!mainData.Items || mainData.Items.length < pageSize){
				//根据是否有无数据的相应处理，来决定是否延时禁用下拉加载
				//注意！！！！！！！！禁用下拉加载只为不显示mui自带的“没有更多数据了”信息提示
				//setTimeout(function(){
//					mui('#list').pullRefresh().disablePullupToRefresh();
				//}, 1000);
			}
		});
	}

	//获取页面需要访问的思迪接口信息
	function getApiInfo(){
		var pData = {
			token: user.getToken()
			,apiType : common.ApiType.WaterSystemInfo
		}		
		common.ajax({
			type: 'get'
			,url: common.ajaxDomainUrl + 'ManageMain/GetApi'
			,data: pData
			//async在此处设置为false，不采用异步处理方式
			//否则isInit未正确获取相应值时，无法步入getData的流程
			,async: false
		}, function(jsonData, status) {
			if(jsonData.succ) {
				var apiInfo = jsonData.data.apiInfo;
				apiUrl = apiInfo.ApiUrl;
				mui.each(apiInfo.ParamInfo, function(index, item){
					apiData[item.ParamName] = item.ParamValue;
				});
			} else {
				mui.toast('访问错误！');
			}
			isInit = true;
		});
	}
	
	//清空infoVue数据，适用于下拉刷新时使用
	function getDefaultData(){
		return {
			ifNoData: false
			,items: [] 
		}
	}

	//绑定的vue数据结构
	var infoVue = new Vue({
		el: '#list'
		,data: {
			ifNoData: false
			,items: [] 
		}
		,methods: {
			resetData: function() {
				Object.assign(this.$data, getDefaultData());
			}
		}
	});

	//转换json数据
	function convert(dataT) { 
		var newItems = [];
	    dataT.forEach(function (data) {
	    	var currentNum = null, isNormal = null, analogUnitID = '',isNodata = '';
	    	analogUnitID = data.AnalogUnitID === null ? '' : data.AnalogUnitID;
	    	if (data.IOType === 2){
	    		if(data.CurrentValue !== null && data.DigitalNormal !== null){
		    		if (data.CurrentValue === data.DigitalNormal){
		    			isNormal = true;
		    			currentNum = data.GoodName;
		    		} else {
		    			isNormal = false;
		    			currentNum = data.BadName;
		    		}
		    		isNodata = false;
	    		}else{
	    			isNormal = false;
	    			isNodata = true;
	    		}
	    	} else {
	    		if(data.CurrentValue !== null && data.AnalogUp !== null && data.AnalogDown !== null){
	    			currentNum = parseFloat(data.CurrentValue.toFixed(2));
	    			
	    			//if(parseFloat(data.CurrentValue) <= parseFloat(data.AnalogUp) && parseFloat(data.CurrentValue) >= parseFloat(data.AnalogDown)){
	    			if(currentNum <= parseFloat(data.AnalogUp) && parseFloat(data.CurrentValue) >= parseFloat(data.AnalogDown)){
			    		isNormal = true;
			    	} else {
			    		isNormal = false;
			    	}
			    	//console.log(data.IOName + '：' + data.CurrentValue + '(' + data.AnalogUp + '~' + data.AnalogDown + ')' + isNormal);
			    	isNodata = false;
	    		} else {
	    			currentNum = '无数值';
	    			isNormal = false;
	    			analogUnitID = '';
	    			isNodata = true;
	    		}
	    	}
	    	newItems.push({
	            IOName: data.IOName//名称
	            ,CurrentValue: currentNum//数值
	            ,isNormal: isNormal//正常（true）,异常（false） 
	            ,AnalogUnitID: analogUnitID //单位
	            ,isNodata:isNodata//是否无数据 ：无数据（true），有数据（false）
	        });
	    });
	    return newItems;
	}
}(mui, document));