mui.init({
	swipeBack: true//启用右滑关闭功能
	,beforeback: function(){
	    articleVue.resetData();
	    return true;
    }
});

function getInfo(guid, apiInfo){
	var urlInfo = common.ajaxDomainUrl + 'ExecuteMain/FunDetal';
	if (apiInfo.toLowerCase() !== 'fun'){
		urlInfo = common.ajaxDomainUrl + 'ManageMain/ArticleDetal';
	}
//	console.log(urlInfo);
	common.ajax({
		type: 'get'
		,url: urlInfo
		,data: {
			guid: guid
		}
	}, function(jsonData, status) {
//		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			articleVue.resetData();
			articleVue.title = jsonData.data.Title;
			articleVue.content = jsonData.data.Content;			
		} else {
			mui.toast('访问错误！');
		}
	});
}

mui.plusReady(function() {	
	document.addEventListener('articleInfo', function(event){
		var guid = event.detail.guid;
		var apiInfo = event.detail.apiInfo;
//		console.log(guid);
//		console.log(apiInfo);
		getInfo(guid, apiInfo);
	});
});

function getDefaultData(){
	return {
        title: ''
		,content: ''
	}
}

var articleVue = new Vue({
	el: '#articleDetail'
	,data: {
		title: ''
		,content: ''
	}
    ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
});