mui.init({
	swipeBack: true //启用右滑关闭功能
});
mui.ready(function() {	
	//获取检查列表
	getCheckRW();
	
	//左滑进入详情页面
	mui('.mui-table-view').on('tap', '.mui-btn', function() {
		var guid = this.getAttribute('data-guid');
//		console.log('workguid: '+ guid); 
		var li = this.parentNode.parentNode;
		mui.swipeoutClose(li);
		
		common.openWebPage('checkRWList.html', 'checkRWList.html', {
			//传说中的workguid
			guid: guid
		}, false, '', '', 'slide-in-right');

	})

})
var checkRWVue = new Vue({
    el: '#checkRW'
    ,data: {
        items: []
    }
});

//获取所有的检查任务
function getCheckRW(){	
	var postData = {
		token: user.getToken(),
	}
	common.ajax({
		type: 'post',
		url: common.ajaxDomainUrl + 'Work/GetWorks',
		data: JSON.stringify(postData),
	}, function(jsonData, status) {
		if(jsonData.succ) {
			checkRWVue.items = jsonData.data.works;
		} else {
			mui.toast('访问错误！')
		}		
	});
}

//点击任务事件（是否是管理性任务，是则直接跳转form表单）
function openForm(item, event){
	//true为
	var isManagerWork = item.isManagerWork;
	var workId = item.guid;
	var facilitiesGuid = item.facilitiesGuid;
	//如果是管理性任务直接打开form表单
	if(isManagerWork){
		common.openWebPage('checkForm.html', 'checkForm.html', {
			workGuid : workId
			,facilitiesGuid: facilitiesGuid
		}, false, '', '', 'slide-in-right');
	}else{
		var options=plus.nativeUI.ToastOption||{'verticalAlign':'center'};
		plus.nativeUI.toast(' 请先扫码！',options); 
	}
}


mui.plusReady(function() {
	//刷新页面
	window.addEventListener('refresh', function(e) { //执行刷新
		getCheckRW();
	});
});