var ws = null,
	wo = null;
var scan = null,
	domready = false,
	open = true;

function setFlash1() {
	scan.setFlash(open);
	open = !open;
}
// H5 plus事件处理
mui.plusReady(function() {
	if(ws || !window.plus || !domready) {
		return;
	}
	// 获取窗口对象
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	// 开始扫描
	ws.addEventListener('show', function() {
		scan = new plus.barcode.Barcode('bcid');
		scan.onmarked = onmarked;
		scan.start({
			conserve: true,
			filename: '_doc/barcode/'
		});
	}, false);
	// 显示页面并关闭等待框
	ws.show('pop-in');
	wo.evalJS('closeWaiting()');

});

// 监听DOMContentLoaded事件
document.addEventListener('DOMContentLoaded', function() {
	domready = true;
	//plusReady();
}, false);
// 二维码扫描成功
function onmarked(type, result, file) {
	switch(type) {
		case plus.barcode.QR:
			type = 'QR';
			break;
		case plus.barcode.EAN13:
			type = 'EAN13';
			break;
		case plus.barcode.EAN8:
			type = 'EAN8';
			break;
		default:
			type = '其它' + type;
			break;
	}
	result = result.replace(/\n/g, '');
//	console.log('here');
	wo.evalJS("scaned('" + type + "','" + result + "','" + file + "');");

	getscanInfo(result);
}
// 从相册中选择二维码图片 
function scanPicture() {
	plus.gallery.pick(function(path) {
		plus.barcode.scan(path, onmarked, function(error) {
			plus.nativeUI.alert('无法识别此图片');
		});
	}, function(err) {
//		console.log('Failed: ' + err.message);
	});
}

function getscanInfo(result){
	var QRtype = JSON.parse(result).qrTypeKey;
	var guid = JSON.parse(result).guid;

	var buildingGuid = null;
	var facilitiesGuid = null;
	if(QRtype.toUpperCase() === 'BD'){
		buildingGuid = guid
	}	
	if(QRtype.toUpperCase() === 'FA'){
		facilitiesGuid = guid
	}
	
	//检查数据
	getCheckList(buildingGuid,facilitiesGuid);
}

//检查列表
function getCheckList(buildingGuid, facilitiesGuid){
	var postData = {
		token: user.getToken()
		,buildingGuid: buildingGuid
		,facilitiesGuid: facilitiesGuid
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Work/GetWorkFromQR'
		,data: JSON.stringify(postData),
	}, function(jsonData, status) {
		if(jsonData.succ) {
			var data = jsonData.data.facilityList;
			var facilityCount = jsonData.data.count;
//			console.log(JSON.stringify(jsonData));
			//只有一个设备
			if(facilityCount === 1){
				//设备id
				var facilityId = data[0].guid;
				//任务数
				var workNum = data[0].workList.length;
				
				//任务数量为1(直接跳转到form表单)
				if(workNum === 1){
					//任务id
					var workguid = data[0].workList[0].guid;
					//跳转到form表单
					common.openWebPage('checkForm.html', 'checkForm.html', {
						workGuid : workguid
						,facilitiesGuid: facilityId
					}, false, '', '', 'slide-in-right');
				} else {				
					//（多个任务）跳转到任务列表
					common.openWebPage('checkworkList.html', 'checkworkList.html', {
						workList : data[0].workList
						,facilitiesGuid: facilityId
					}, false, '', '', 'slide-in-right');
				}
				
			} else {//有多个设备(跳转到选择设备页面)
				common.openWebPage('checkfaciyList.html', 'checkfaciyList.html', {
					faciyList : data
				}, false, '', '', 'slide-in-right');
			}			
		}else{
			mui.toast('该码不存在检查任务！')
			mui.back();
		}		
	});
}