mui.init({
	swipeBack: true,
});

var commandInfoVue = new Vue({
    el: '#commandInfo'
    ,data: {
        items:[]
    }
});

//
function confirm(guid, e){
	var postData = {
		token: user.getToken()
		,guid: guid
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Dictate/Confirm'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
			mui.toast(jsonData.msg);
			var list = plus.webview.getWebviewById('commandList.html');
			//触发列表界面的自定义事件（refresh）,从而进行数据刷新
			mui.fire(list, 'refresh');
			setTimeout(mui.back(), 10000);
		} else {
			mui.toast(jsonData.msg);
		}
	});
} 

mui.ready(function() {
	
	
});

function getCmdList(guid) {
	var postData = {
		token: user.getToken()
		,guid: guid
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Dictate/Info'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
			commandInfoVue.items = jsonData.data;
		} else {
			mui.toast('访问错误！')
		}
	});
} 
mui.plusReady(function(){
	var sData = plus.webview.currentWebview();
	var guid = sData.guid;
	getCmdList(guid);
});