mui.init({
	swipeBack: false
	,pullRefresh: {
		container: '#scroll'
		,down: {
			style: 'circle'
			,offset: '90px'
			,auto: true
			,callback: pulldownRefresh
		}
		,up: {
			//auto: true,
			contentrefresh: '正在加载...'
			,callback: pullupRefresh
		}
	}  
});

//mui("#scroll").scroll();
var page = 1;
var num = 9;
var isconfirm = false;

/**
 * 上拉加载
 */
function pullupRefresh() {
//	page = 2;
	getCmdList(isconfirm);
}
/**
 *  下拉刷新获取最新列表 
 */
function pulldownRefresh() { 
	if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.toast('似乎已断开与互联网的连接', {
			verticalAlign: 'top'
		});
		return;
	}
	page = 1; 
	commandVue.resetData();  
	mui('#scroll').pullRefresh().enablePullupToRefresh();
	getCmdList(isconfirm);
	mui('#scroll').pullRefresh().endPulldown(); 
}

function getDefaultData(){
	return {
        items: []
        ,isData: ''
	}
}
var commandVue = new Vue({
    el: '#command'
    ,data: {
        items:[]
        ,isData: false
    }
    ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
})

mui.ready(function() {
	//已处理
	document.getElementById('processed').addEventListener('tap', function(){
		isconfirm = false;
		commandVue.resetData();
		page = 1;
		getCmdList(isconfirm);
		mui('#scroll').pullRefresh().enablePullupToRefresh();
	})
	//未处理
	document.getElementById('Unprocessed').addEventListener('tap', function(){
		isconfirm = true;
		commandVue.resetData();
		page = 1;
		getCmdList(isconfirm);
		mui('#scroll').pullRefresh().enablePullupToRefresh();
	})
	
	//跳转到指令详情页
	mui('.mui-table-view').on('tap', '.mui-table-view-cell', function() {
		var guid = this.getAttribute('data-uid');
//		console.log(guid);
		common.openWebPage('commandInfo.html', 'commandInfo.html', {
			guid:guid
		}, false, '', '', 'slide-in-right');
	});
})

function getCmdList(confirm) {
	var postData = {
		token: user.getToken()
		,isReaded: null
		,isConfirm:confirm  
		,mode:"INBOX"
		,page:page
		,rows:num 
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Dictate/List'
		,data: JSON.stringify(postData),
	}, function(jsonData, status) {
		if(jsonData.succ) {
			if( jsonData.msg < 1 ){ 
				commandVue.isData = true;
			} else {
				commandVue.isData = false;
			}
			
			pageCount = Math.ceil(jsonData.msg / num) ;
			if(page === 1){
				commandVue.items = jsonData.data;
				mui('#scroll').pullRefresh().enablePullupToRefresh();
			} else {
				commandVue.items = commandVue.items.concat(jsonData.data );
			}
			if(page >= pageCount){
				mui('#scroll').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#scroll').pullRefresh().endPullupToRefresh(false);
				page = page + 1;
			}			
			if(pageCount <= 1){
				mui('#scroll').pullRefresh().disablePullupToRefresh();
			}
			
		} else {
			mui.toast('访问错误！')
		}
	});
} 

mui.plusReady(function(){
	//刷新页面
	window.addEventListener('refresh', function(e) { //执行刷新
	});
})