var staticData = [];
//配置是否正确获取思迪接口信息数据
//var isInit = false;

var x = screen.width - 20;
document.querySelector('.chart').style.width = x + 'px';
//console.log(document.querySelector('.chart').style.width);

mui.init({
	swipeBack: true //启用右滑关闭功能
});

mui.plusReady(function(){	
	plus.screen.lockOrientation('portrait-primary');
	var	staticXunList = mui.preload({ 
		url: 'staticXunList.html'
		,id: 'staticXunList.html'
	});	
});

mui.ready(function() {
	getXunData();
});

//清空infoVue数据，适用于下拉刷新时使用
//function getDefaultData(){
//	return {
//		items: [] 
//		,DateList: []
//		,singleItem :[]
//	}
//} 

var infoVue = new Vue({
    el: '#xunData'
    ,data: {
		items: [] 
		,DateList: []
		,singleItem :[]
		,depInfo: []
		,timeType: '1'
		,StartDate:''
		,EndDate:''
    }
    ,
    updated: function(){
    	var data = this.singleItem;
    	var type = this.timeType;
    	if(type == '1'){
			singleInfoBar(data);
		}else{
			var depTxt = document.getElementById('showDepPicker');
			depTxt.innerText = this.depInfo[0].Name;
			var depId = this.depInfo[0].Guid;
			singleInfoLine(depId);
		}
    }  
//  ,methods: {
//		resetData: function() {
//			Object.assign(this.$data, getDefaultData());
//		}
//	}
});


//获取巡查数据
function getXunData(){
	var pData = {
		token: user.getToken()
	}
//	console.log(JSON.stringify(pData));
	common.ajax({
		type: 'get'
		,url: common.ajaxDomainUrl + 'manageMain/Statistics'
		,data: pData
	}, function(jsonData, status) {
		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			//日期
			infoVue.DateList = jsonData.data.DateList;
//			console.log(JSON.stringify(infoVue.DateList));
			infoVue.StartDate = jsonData.data.StartDate;
			infoVue.EndDate = jsonData.data.EndDate;
			//数据
			infoVue.items = jsonData.data.AsDepartmentTasks;
			//首次进入显示昨天数据
			infoVue.singleItem = jsonData.data.AsDepartmentTasks.Yesterday;
			//设置部门信息
			var depInfo = jsonData.data.DeptList;
			infoVue.depInfo = depInfo;
			console.log(JSON.stringify(infoVue.depInfo));
//			console.log(infoVue.depInfo.length);
			if(infoVue.depInfo.length==0){
				document.getElementById('showDepPicker').classList.add('hide');
			}else{
				document.getElementById('showDepPicker').classList.remove('hide');
			}
			setSelectDepts(depInfo);
		} else {
			mui.toast(jsonData.msg);
		}
		isInit = true;
	});
}


//（昨日、上周、上月）按钮点击 
function changeData(item,num){
	var selectDep = document.getElementById('selectDep');
	if(num == 1){
		selectDep.classList.add('hide');
	}else{
		selectDep.classList.remove('hide');
	}
	//更新统计数据
	infoVue.singleItem = item;
	infoVue.timeType = num;
//	console.log(infoVue.timeType);
	
	//更新列表时间数据
	
}
//按日统计（显示柱状图）
function singleInfoBar(item){
	
//	console.log(JSON.stringify(item));
	var yAxis = [];
	var undoneCount = [];
	var abnormalCount= [];
	var normalCount = [];
	
	//部门
	var xAxis = [];
	for(var i in item){
		
		undoneCount[i] = item[i].TaskUnDoneCount;
		abnormalCount[i] = item[i].TaskDoneAbnormalCount;
		normalCount[i] = item[i].TaskDoneNormalCount;
		xAxis[i] = item[i].OwnerDeptName;
	}
//	console.log(undoneCount);
	yAxis.push({
		name: '未查',
		type: 'bar',
		data: undoneCount
	})
	yAxis.push({
		name: '异常',
		type: 'bar',
		data: abnormalCount
	})
	yAxis.push({
		name: '正常',
		type: 'bar',
		data: normalCount
	})
//	console.log(JSON.stringify(yAxis));
	 
	//柱状图 
	chart(yAxis,xAxis);
}

//按周、月统计（折线图）
function singleInfoLine(depGuid){
	var item = infoVue.singleItem; 
	
//	console.log('2：'+ JSON.stringify(item));
	var yAxis = [];
	var z_data = [];  //秩序部
	var xAxis = [];
	
	var z_undoneCount =[],z_abnormalCount = [],z_normalCount = [];
	var z = 0;
	
	for(var i in item){
		if(item[i].OwnerDeptGuid == depGuid){
			z_undoneCount[z] = item[i].TaskUnDoneCount;
			z_abnormalCount[z] = item[i].TaskDoneAbnormalCount;
			z_normalCount[z] = item[i].TaskDoneNormalCount;
			xAxis[z] = item[i].sDate;
			z++;
		}
	}
    z_data.push({
    	name :'未查',
    	type : 'line',
    	data : z_undoneCount
    })
    z_data.push({
    	name :'异常',
    	type : 'line',
    	data : z_abnormalCount
    })
    z_data.push({
    	name:'正常',
    	type : 'line',
    	data : z_normalCount
    })
    
//	console.log(JSON.stringify(z_data)); 
	//柱状图 
	chart(z_data,xAxis);
}


function chart(yAxis,xAxis){
//	console.log(JSON.stringify(yAxis));
	var getOption = function(chartType) {
				var chartOption = {
					//					 backgroundColor: '#fff',//背景色
					tooltip: {
						trigger: 'axis'
					},
					legend: {
						data: ['未查', '异常','正常']
					},
					grid: {
						x: 35,
						x2: 10,
						y: 30,
						y2: 25
					},
					color: ['#ff7f50','#f6db00', '#34a47c', '#87cefa', '#61a0a8', '#d48265', '#91c7ae', '#749f83', '#ca8622', '#bda29a', '#6e7074', '#546570', '#c4ccd3'],
					toolbox: {
						show: false,
						feature: {
							mark: {
								show: true
							},
							dataView: {
								show: true,
								readOnly: false
							},
							magicType: {
								show: true,
								type: ['line', 'bar']
							},
							restore: {
								show: true
							},
							saveAsImage: {
								show: true
							}
						}
					},
					calculable: false,
					xAxis: [{ 
						type: 'category',
						data: xAxis
					}],
					yAxis: [{
						type: 'value',
						splitArea: {
							show: true
						}
					}],
					series: yAxis
				};
				return chartOption;
			};
			var byId = function(id) {
				return document.getElementById(id);
			};
			var lineChart = echarts.init(byId('lineChart'));
			lineChart.setOption(getOption('bar'));

}



//选择部门
var depPicker = new mui.PopPicker();
function setSelectDepts(depInfo){
//	console.log(JSON.stringify( depInfo ));
	var newArr=[];
	for(var i in depInfo){
		newArr.push({value:depInfo[i].Guid ,text:depInfo[i].Name})
	}
	depPicker.setData(newArr);
}
var showDepPickerButton = document.getElementById('showDepPicker');
showDepPickerButton.addEventListener('tap', function(event) {
		depPicker.show(function(items) {
//		console.log(JSON.stringify(items));
		var depNameTxt = items[0].text;
		showDepPickerButton.innerText = depNameTxt;
		var depGuid = items[0].value;
		singleInfoLine(depGuid);
	});
}, false);

//选择时间段样式
mui('#day').on('tap','span', function(){
	var siblins = this.parentNode.children;
	for(var i=0; i<siblins.length;i++){
		siblins[i].classList.remove('mui-badge-success');
	}
	this.classList.add('mui-badge-success');
})

function openList(depInfo,DateList){
	console.log(JSON.stringify(depInfo));
	var _webview = null;
	if (mui.os.plus){
		_webview = plus.webview.getWebviewById('staticXunList.html');
	}
	if(depInfo.length>0){
		common.openWebPage('staticXunList.html', 'staticXunList.html', {
			depInfo: depInfo,
			DateList: DateList
	    }, true, _webview, 'staticXunList', 'slide-in-right');
	}else{
		mui.toast('暂无数据！')
	}
   
}


