mui.init({
	swipeBack: true 
	,pullRefresh: {
		container: '#scroll'
		,up: {
			//auto: true,
			contentrefresh: '正在加载...'
			,callback: pullupRefresh
		}
	} 
});

/**
 * 上拉加载
 */

var page = 1;
var rows = 9;
var postData ={};
function pullupRefresh() {
	getList(); 
}

//列表
var listVue = new Vue({
	el: '#list',
	data: {
		items: [],
		dataType : 2,  //未查： 1；异常：2
		isNodata : false
	}
})

//查询信息
var searchVue = new Vue({
    el: '#searchData'
    ,data: {
		dataType : 2 
		,typeName: '异常' //异常：2 ；未查：1；全部：0；已查：3
		,deptGuid : ''  //部门id
		,GuName : ''
		,startDate : ''
		,endDate : ''
		,page : page
		,rows :rows
    }
    ,updated:function(){
    	page = 1;
		getList();
    }
});

function getList(){
//	console.log('触发获取数据');
	postData = {
		token : user.getToken()
		,dataType : searchVue.dataType
		,deptGuid : searchVue.deptGuid
		,startDate : searchVue.startDate
		,endDate : searchVue.endDate
		,page : page
		,rows : rows
	};
	console.log(JSON.stringify(postData));
	common.ajax({
		type: 'get'
		,url: common.ajaxDomainUrl + 'ManageMain/UnDone' 
		,data: postData
	}, function(jsonData, status) {
		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			var data = [];
			if(jsonData.data.UnDone !==undefined){
				data = jsonData.data.UnDone;
			}
			if(jsonData.data.Abnormal !==undefined){
				data = jsonData.data.Abnormal;
			}
			if(jsonData.data.Done !==undefined){
				data = jsonData.data.Done;
			}
			if(jsonData.data.totalCount==0){
				listVue.isNodata = true;
			}else{
				listVue.isNodata = false;
			}
			
			pageCount = Math.ceil(jsonData.data.totalCount / rows) ;
			if(page === 1){
				listVue.items = data;
				mui('#scroll').pullRefresh().enablePullupToRefresh();
			} else {
				listVue.items = listVue.items.concat(data );
			}
			if(page >= pageCount){
				mui('#scroll').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#scroll').pullRefresh().endPullupToRefresh(false);
				page = page + 1;
			}			
			if(pageCount <= 1){
				mui('#scroll').pullRefresh().disablePullupToRefresh();
			}
			
		} else {
			mui.toast('访问错误！');
		}
		isInit = true;
	});
}

//选择日期
mui('#choseTime').on('tap', '.mui-btn' ,function(){
	var dataId = this.getAttribute('data-id')
//	console.log(dataId + ',' +typeof dataId);
	
	var _self = this;
	if(_self.picker) {
		_self.picker.show(function(rs) {
			if(dataId === '1'){
				searchVue.startDate = rs.text;
			}else{
				searchVue.endDate = rs.text;
			}
			_self.picker.dispose();
			_self.picker = null;
		});
	} else {
		var optionsJson = this.getAttribute('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('id');
		
		_self.picker = new mui.DtPicker(options);
		_self.picker.show(function(rs) {
			
			if(dataId === '1'){
				searchVue.startDate = rs.text;
			}else{
				searchVue.endDate = rs.text;
			}
			_self.picker.dispose();
			_self.picker = null;
		});
	}

}, false);

//选择状态
var selectStatBtn = document.getElementById('selectStat');
selectStatBtn.addEventListener('tap', function(event) {
	var statPicker = new mui.PopPicker();
	statPicker.setData(
		[{
			value: '2',
			text: '异常'
		}, {
			value: '1',
			text: '未查'
		}, {
			value: '3',
			text: '已查'
		}
		]);
	statPicker.show(function(items) {
		searchVue.dataType = items[0].value;
		searchVue.typeName = items[0].text;
		
		listVue.dataType = items[0].value;
	});
}, false);

//选择部门
var depPicker = new mui.PopPicker();
function setSelectDepts(depInfo){
	//初始化查询条件数据
	searchVue.deptGuid = depInfo[1].Guid;
	searchVue.GuName = depInfo[1].Name;
	var newArr=[];
	for(var i in depInfo){
		newArr.push({value:depInfo[i].Guid ,text:depInfo[i].Name})
	}
	depPicker.setData(newArr);
}
var showDepPickerButton = document.getElementById('showDepPicker');
showDepPickerButton.addEventListener('tap', function(event) {
	depPicker.show(function(items) {
//	console.log(JSON.stringify(items));
	searchVue.deptGuid = items[0].value;
	searchVue.GuName = items[0].text;
});
}, false);


mui.plusReady(function(){
	document.addEventListener('staticXunList', function(event){
		var depInfo = event.detail.depInfo;
		var DateList = event.detail.DateList;
//		console.log(JSON.stringify(DateList));
//		console.log(JSON.stringify( depInfo ));
		//初始化时间
		getLastDay(DateList);
		//初始化部门
		setSelectDepts(depInfo);
		
	});
	
	
})

//获取昨天的时间
function getLastDay(DateList){  

	var beginTime = DateList.Yesterday;  
    var endTime = DateList.Yesterday;  
    searchVue.startDate = beginTime;
    searchVue.endDate = endTime;
    
    var getdate = endTime.split(' ');
    var maxdate = getdate[0].split('-');
    
    var year = maxdate[0].replace(/\b(0+)/gi,"");
    var month = maxdate[1].replace(/\b(0+)/gi,"");
    var day = maxdate[2].replace(/\b(0+)/gi,"");
    
    
    var maxdateTxt = '{"type":"date","value":"'+endTime+'","beginYear":2010 ,"endYear":'+year+',"endMonth":'+month+',"endDay":'+day+'}';
//  console.log(maxdateTxt);
//  var maxdateTxt = '{"type":"date","value":"2015-10-10 10:10","beginYear":2010 ,"endYear":2019,"endMonth":10,"endDay":1}';
    document.getElementById('dataBegin').setAttribute('data-options',maxdateTxt);
    document.getElementById('dataEnd').setAttribute('data-options',maxdateTxt); 
}

//弹出框数据绑定
var detailVue = new Vue({
	el: '#detail',
	data: { 
		items: [],
	}
})

//弹出样式
var topPopover = document.getElementById('topPopover');
var mask = document.getElementById('mask');
function checkInfo(item){
//	console.log(JSON.stringify(item)); 
	detailVue.items = item;
//	console.log(JSON.stringify(detailVue.items));
	topPopover.classList.add('active');
	mask.classList.remove('hide');
}
function closeAll(){
	topPopover.classList.remove('active');
	mask.classList.add('hide');
}
