(function($, doc) {
	var lastId = 0,
		pageSize = 10;  
	
	var apiUrl = '';
	
	var apiData = {}, searchData = {};
	//配置是否正确获取思迪接口信息数据
	var isInit = false;
	var inspect = false;
	var mask = false;
	var callback = false;

	//mui初始化，配置下拉刷新
	$.init({
		swipeBack: true,//启用右滑关闭功能 
		pullRefresh: {
			container: '#list'
			,down: {
				style: 'circle'
				,offset: '0px'
				,auto: false
				,callback: pulldownRefresh
			}
			,up: {
				contentrefresh: '消防管家正在加载...'
				,callback: pullupRefresh
			}
		},
		beforeback: function(){
		    inspect = false;
			mask = false;
			callback = false;
			infoVue.resetData();
			return true;
	    }
	});
	
	$.plusReady(function() {
		document.addEventListener('getstatus', function(event){
			var status = event.detail.status;
			inspect = status.Inspect;
			mask = status.Mask;
			callback = status.Callback;
			console.log(status.type);
			document.getElementById('title').innerText = status.type;
			//初始化时间
			pulldownRefresh();
		});
	});
	function initData(num) {
		var str = '-';
	    var today = new Date();
	    var nowTime = today.getTime();
	    var ms = 24*3600*1000*num;
	    today.setTime(parseInt(nowTime + ms));
	    var oYear = today.getFullYear();
	    var oMoth = (today.getMonth() + 1).toString();
	    if (oMoth.length <= 1) oMoth = '0' + oMoth;
	    var oDay = today.getDate().toString();
	    if (oDay.length <= 1) oDay = '0' + oDay;
	    var currentdate = oYear + str + oMoth + str + oDay;
	    
	     //今日日期
	    var date = new Date();
        var seperator1 = "-";
        var year = date.getFullYear();
        var month = date.getMonth() + 1;
        var strMonth = '';   //string 月
        var toDay = date.getDate();   //string 日
        var strDate = '';
        if (month >= 1 && month <= 9) {
            strMonth = "0" + month;
        }else{
        	strMonth = month;
        }
        if (toDay >= 0 && toDay <= 9) {
            strDate = "0" + toDay;
        }else{
        	strDate =toDay;
        }
	    var maxdateTxt = '{"type":"date","value":"'+currentdate+'","beginYear":2010 ,"endYear":'+year+',"endMonth":'+month+',"endDay":'+toDay+'}';
	//  var maxdateTxt = '{"type":"date","value":"2015-10-10 10:10","beginYear":2010 ,"endYear":2019,"endMonth":10,"endDay":1}';
	    document.getElementById('dataBegin').setAttribute('data-options',maxdateTxt);
	    document.getElementById('dataEnd').setAttribute('data-options',maxdateTxt); 
	    
	     return currentdate;
	}

//	function initData(){
//		var date = new Date();
//      var seperator1 = "-";
//      var year = date.getFullYear();
//      var month = date.getMonth() + 1;
//      var strDate = date.getDate();
//      if (month >= 1 && month <= 9) {
//          month = "0" + month;
//      }
//      if (strDate >= 0 && strDate <= 9) {
//          strDate = "0" + strDate;
//      }
//      var currentdate = year + seperator1 + month + seperator1 + strDate;
//      
//      var maxdateTxt = '{"type":"date","value":"'+currentdate+'","beginYear":2010 ,"endYear":'+year+',"endMonth":'+month+',"endDay":'+strDate+'}';
//	//  console.log(maxdateTxt);
//	//  var maxdateTxt = '{"type":"date","value":"2015-10-10 10:10","beginYear":2010 ,"endYear":2019,"endMonth":10,"endDay":1}';
//	    document.getElementById('dataBegin').setAttribute('data-options',maxdateTxt);
//	    document.getElementById('dataEnd').setAttribute('data-options',maxdateTxt); 
//      return currentdate;
//	}
	
	//下拉刷新获取最新数据
	function pulldownRefresh() {
		console.log('inspect:'+inspect+',mask:'+mask+',callback:'+callback);
		if (!isInit){
			if (!(user.localStorageData.ownerInfoNameSD && user.localStorageData.ownerInfoNameSD !== '')){
				user.getOwnerInfoNameSD(false);
			}
			if (!(user.localStorageData.ownerInfoNameSD && user.localStorageData.ownerInfoNameSD !== '')){
				mui.toast('获取用户机构名称失败');
			}
			var start, end;
			user.getServerDateTime(2, false, 1, function(t){
				start = t;
			});
			user.getServerDateTime(3, true, 1, function(t){
				end = t;
			});
			searchData = {
//	            Start: start
//	            ,End: end
	            Start: initData(-1)+' ' + '00:00:00'
	            ,End: initData(-1)+' '+ '23:59:59'
	            ,Name: user.localStorageData.ownerInfoNameSD
	            ,Inspect: inspect
	            ,Mask: mask
	            ,Callback: callback
	        }
			console.log('searchData:'+ JSON.stringify(searchData));
			getApiInfo();
		}
		if (isInit){
			searchData.Callback = callback;
			searchData.Inspect = inspect;
			searchData.Mask = mask;
			infoVue.resetData();
			lastId = 0;
			getData(true);
		} else {
			mui.toast('获取url出现错误');
		}
	}

	//上拉加载更多数据
	function pullupRefresh() {
		getData(false);
	}
	
	//加载数据
	function getData(isFirstLoad){
		if (apiData.hasOwnProperty('lastid')){
			apiData['lastid'] = lastId;
		}
		if (apiData.hasOwnProperty('count')){
			apiData['count'] = pageSize;
		}
		apiData['search'] = JSON.stringify(searchData);
		console.log(JSON.stringify(apiData));
		common.ajax({
			type: 'get'
			,url: apiUrl
			,ticket: false
			,data: apiData
		}, function(jsonData, status) {	
			console.log(JSON.stringify(jsonData));
			if (isFirstLoad){
				mui('#list').pullRefresh().endPulldownToRefresh();
				//设置下拉加载可用
				mui('#list').pullRefresh().enablePullupToRefresh();
			}
			var mainData = JSON.parse(jsonData.Msg);
			lastId = mainData.LastId;
			if(mainData.Items && mainData.Items.length > 0) {
				if (isFirstLoad){
					infoVue.ifNoData = true;
				}
				//根据返回记录数是否小于每页数量来设置是否允许下拉加载，true为不允许继续下拉加载
				mui('#list').pullRefresh().endPullupToRefresh(mainData.Items.length < pageSize);
				infoVue.items = infoVue.items.concat(convert(mainData.Items));
			} else {
				if (isFirstLoad){
					infoVue.ifNoData = false;
				}
				mui('#list').pullRefresh().endPullupToRefresh(true);
			}

			if (!mainData.Items || mainData.Items.length < pageSize){
				//根据是否有无数据的相应处理，来决定是否延时禁用下拉加载
				//注意！！！！！！！！禁用下拉加载只为不显示mui自带的“没有更多数据了”信息提示
				//setTimeout(function(){
					mui('#list').pullRefresh().disablePullupToRefresh();
				//}, 1000);
			}
		});
	}

	//获取页面需要访问的思迪接口信息
	function getApiInfo(){
		var pData = {
			token: user.getToken()
			,apiType : common.ApiType.StatusInfo
		}
		common.ajax({
			type: 'get'
			,url: common.ajaxDomainUrl + 'ManageMain/GetApi'
			,data: pData
			//async在此处设置为false，不采用异步处理方式
			//否则isInit未正确获取相应值时，无法步入getData的流程
			,async: false
		}, function(jsonData, status) {
			console.log('状态思迪接口参数：'+JSON.stringify(jsonData));
			if(jsonData.succ) {
				var apiInfo = jsonData.data.apiInfo;
				apiUrl = apiInfo.ApiUrl;
				mui.each(apiInfo.ParamInfo, function(index, item){
					apiData[item.ParamName] = item.ParamValue;
				});
			} else {
				mui.toast('访问错误！');
			}
			isInit = true;
		});
	}
	
	//清空infoVue数据，适用于下拉刷新时使用
	function getDefaultData(){
		return {
			ifNoData: true
			,items: [] 
		}
	}
	//绑定的vue数据结构
	var searchVue = new Vue({
		el: '#searchData'
		,data: {
			startDate : initData(-1)
			,endDate : initData(-1)
		}
		,updated: function(){
			console.log('当前时间：'+ this.startDate);
			console.log('当前时间：'+ this.endDate);
			searchData.Start = this.startDate + ' '+ '00:00:00';
			searchData.End = this.endDate + ' '+ '23:59:59';
			pulldownRefresh();
		}
	});
	//绑定的vue数据结构
	var infoVue = new Vue({
		el: '#list'
		,data: {
			ifNoData: true
			,items: [] 
		}
		,methods: {
			resetData: function() {
				Object.assign(this.$data, getDefaultData());
			}
		}
	});
	

	//转换json数据
	function convert(items) {
		var newItems = [];
		if (Array.isArray(items)){
			items.forEach(function(item) {
				newItems.push({
					Id: item.Id
					,UserName: item.UserName
					,Type: item.Type
					,Senser: item.Senser
					,Position: item.Position
					,Time: item.Time.replace('T', ' ')
					,Deal: item.Deal
					,LastUpdate: item.LastUpdate.replace('T', ' ')
				});
			});
		}
		return newItems;
	}
	//选择日期
	mui('#choseTime').on('tap', '.mui-btn' ,function(){ 
		 mui('#list').pullRefresh().setStopped(true); //暂时禁止滚动
		var dataId = this.getAttribute('data-id');
		
		var _self = this;
		if(_self.picker) {
			_self.picker.show(function(rs) {
				if(dataId === '1'){
					searchVue.startDate = rs.text;
				}else{
					searchVue.endDate = rs.text;
				}
				_self.picker.dispose();
				_self.picker = null;
				
			},
			_self.picker.hide = function() {
				mui('#list').pullRefresh().setStopped(false); //开启禁止滚动
				var i = this;
                if(!i.disposed) {
                    var n = i.ui;
                    n.picker.classList.remove(mui.className("active")),
                        n.mask.close(),
                        document.body.classList.remove(mui.className("dtpicker-active-for-page")),
                        mui.back = i.__back
                }
			}
			);
		} else {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			
			_self.picker = new mui.DtPicker(options);
			_self.picker.show(function(rs) {
				
				if(dataId === '1'){
					searchVue.startDate = rs.text;
				}else{
					searchVue.endDate = rs.text;
				}
				_self.picker.dispose();
				_self.picker = null;
				
			},
			_self.picker.hide = function() {
				mui('#list').pullRefresh().setStopped(false); //开启禁止滚动
				var i = this;
                if(!i.disposed) {
                    var n = i.ui;
                    n.picker.classList.remove(mui.className("active")),
                        n.mask.close(),
                        document.body.classList.remove(mui.className("dtpicker-active-for-page")),
                        mui.back = i.__back
                }
			});
		}
	 
	}, false);
	
}(mui, document));