mui.init({
	swipeBack: true //启用右滑关闭功能
});
mui.ready(function() {	
	//获取检查列表
//	getCheckRW();
	
	//左滑进入详情页面
	mui('.mui-table-view').on('tap', '.mui-btn', function() {
		var guid = this.getAttribute('data-guid');
//		console.log('workguid: '+ guid); 
		var li = this.parentNode.parentNode;
		mui.swipeoutClose(li);
		
		common.openWebPage('checkRWList.html', 'checkRWList.html', {
			//传说中的workguid
			guid: guid
		}, false, '', '', 'slide-in-right');

	})

})

function getDefaultData(){
	return {
       items: [],
       NoData: false,
       loading: true
	}
}
var checkRWVue = new Vue({
    el: '#checkRW'
    ,data: {
        items: [],
        NoData: false,
        loading: true
    }
    ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
});

//查询
var searchVue = new Vue({
    el: '#searchData',
    data: {
        deptGuid: '',
        GuName: ''
    },
    updated:function(){
    	checkRWVue.resetData();
    	getCheckRW(this.deptGuid)
    }
    
});
//获取所有的检查任务
function getCheckRW(guid){	
	var postData = {
		token: user.getToken(),
		deptGuid: guid
	}
	common.ajax({
		type: 'post',
		url: common.ajaxDomainUrl + 'Work/GetWorksForManager',
		data: JSON.stringify(postData),
	}, function(jsonData, status) {
		console.log(JSON.stringify(jsonData));
		checkRWVue.loading = false;
		if( jsonData.data.works.length < 1 ){ 
			checkRWVue.NoData = true;
		} else {
			checkRWVue.NoData = false;
		}
		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			checkRWVue.items = jsonData.data.works;
		} else {
			mui.toast('访问错误！')
		}		
	});
}

//点击任务事件（是否是管理性任务，是则直接跳转form表单）
//function openForm(item, event){
//	//true为
//	var isManagerWork = item.isManagerWork;
//	var workId = item.guid;
//	var facilitiesGuid = item.facilitiesGuid;
//	//如果是管理性任务直接打开form表单
//	if(isManagerWork){
//		common.openWebPage('checkForm.html', 'checkForm.html', {
//			workGuid : workId
//			,facilitiesGuid: facilitiesGuid
//		}, false, '', '', 'slide-in-right');
//	}else{
//		var options=plus.nativeUI.ToastOption||{'verticalAlign':'center'};
//		plus.nativeUI.toast(' 请先扫码！',options); 
//	}
//}
//选择部门
var depPicker = new mui.PopPicker();
function setSelectDepts(depInfo){
	
	var newArr=[];
	for(var i in depInfo){
		newArr.unshift({value:depInfo[i].Guid ,text:depInfo[i].Name})
	}
	//初始化查询条件数据
	searchVue.deptGuid = newArr[0].value;
	searchVue.GuName = newArr[0].text;
	depPicker.setData(newArr);
}
var showDepPickerButton = document.getElementById('showDepPicker');
showDepPickerButton.addEventListener('tap', function(event) {
	depPicker.show(function(items) {
	console.log(JSON.stringify(items));
	searchVue.deptGuid = items[0].value;
	searchVue.GuName = items[0].text;
	console.log(searchVue.deptGuid +''+searchVue.GuName);
});
}, false);

mui.plusReady(function() {
	//刷新页面
//	window.addEventListener('refresh', function(e) { //执行刷新
//		getCheckRW();
//	});
	document.addEventListener('getDepList', function(event){
		var depList = event.detail.depList;
		console.log('任务：'+ JSON.stringify( depList ));
		
		//初始化部门
		setSelectDepts(depList);
	});
});