mui.init({
	swipeBack:true //启用右滑关闭功能
});

mui.ready(function(){
	console.log('我是巡查');
	//获取所有任务
//	getXunRw();
})

function getDefaultData(){
	return {
       items: [],
       NoData: false,
       loading: true
	}
}
var xunRWVue = new Vue({
    el: '#xunRW',
    data: {
        items: [],
        NoData: false,
        loading: true
   }
   ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
    
});
var isNormal = true;
function getXunRw(guid){	
	var postData = {
		token: user.getToken(),
		deptGuid: guid
	}
	console.log(common.getNowFormatDate());
	console.log(JSON.stringify(postData));
	common.ajax({
		type: 'get'
		,url: common.ajaxDomainUrl + 'Task/TaskAreasForManager'
		,data: (postData)
	}, function(jsonData, status) {
		console.log('所有任务列表'+ JSON.stringify(jsonData));
//		console.log(common.getNowFormatDate());
		if(jsonData.succ) {	
			xunRWVue.loading = false;
			if( jsonData.data.length < 1 ){ 
				xunRWVue.NoData = true;
			} else {
				xunRWVue.NoData = false;
			}
			for(var i = 0; i < jsonData.data.length; i++){
				var taskPassCount=jsonData.data[i].taskPassCount;
				var taskTotalCount=jsonData.data[i].taskTotalCount;
				var progressNum = Math.round(taskPassCount / taskTotalCount * 10000) / 100.00 + '%';
				jsonData.data[i].progress={
					width:progressNum
				} ;
				//判断异常
				for(var j = 0;j < jsonData.data[i].tasks.length;j++){
					console.log(j);
//					console.log(JSON.stringify( jsonData.data[i])); 
					if(jsonData.data[i].tasks[j].status == -1){
						isNormal = false;
					}
				} 
				jsonData.data[i].isNormal=isNormal;
				console.log(JSON.stringify(jsonData.data[i]));
			}
			xunRWVue.items = jsonData.data;
		} else {
			mui.toast('访问错误！')
		}	
//		console.log(common.getNowFormatDate());
	});
}

//查询
var searchVue = new Vue({
    el: '#searchData',
    data: {
        deptGuid: '',
        GuName: ''
    },
    updated:function(){
    	console.log('搜索');
    	xunRWVue.resetData();
    	getXunRw(this.deptGuid)
    }
    
});

//选择部门
var depPicker = new mui.PopPicker();
function setSelectDepts(depInfo){
	var newArr=[];
	for(var i in depInfo){
		newArr.unshift({value:depInfo[i].Guid ,text:depInfo[i].Name})
	}
	//初始化查询条件数据
	console.log(JSON.stringify(newArr));
	searchVue.deptGuid = newArr[0].value;
	searchVue.GuName = newArr[0].text;
	depPicker.setData(newArr);
	
}
var showDepPickerButton = document.getElementById('showDepPicker');
showDepPickerButton.addEventListener('tap', function(event) {
	depPicker.show(function(items) {
	console.log(JSON.stringify(items));
	searchVue.deptGuid = items[0].value;
	searchVue.GuName = items[0].text;
	console.log(searchVue.deptGuid +''+searchVue.GuName);
});
}, false);

mui.plusReady(function(){
	//刷新页面
//	window.addEventListener('refresh', function(e) { //执行刷新
////		getXunRw();
//	});
//	document.addEventListener('getDepListC', function(event){
//		console.log('巡查');
//		var depList = event.detail.depList;
//		console.log('任务：'+ JSON.stringify( depList ));
//		
//		//初始化部门
//		setSelectDepts(depList);
//	});
	
	var sData = plus.webview.currentWebview();
	var depList = sData.depList;
	//初始化部门
		setSelectDepts(depList);
})