mui.init({
	swipeBack: true //启用右滑关闭功能
});

//选择继续推送或是办结
var continuet = document.getElementById('continuet');
var handle = document.getElementById('handle');
var executeMode = false;

mui('.normal').on('tap', '.mui-col-xs-6', function() {
	var list = this.parentNode.children;
	for(var i = 0; i < list.length; i++) {
		list[i].classList.remove('active');
	}
	this.classList.add('active');
	var state = this.innerText;
	if(state === '继续推送') {
		continuet.classList.remove('hide');
		handle.classList.add('hide');
		//设置继续推送状态是false
		executeMode = false;
	}
	if(state === '办结') {
		handle.classList.remove('hide');
		continuet.classList.add('hide');
		//设置继续推送状态是true
		executeMode = true;
	}
});


mui.ready(function(){
	var getUser = document.getElementById('getUser');
	if (getUser){
		getUser.addEventListener('tap', function(){
			common.openWebPage('../user/selectDep.html', 'selectDep.html', {
				webViwid : 'taskFlowForm.html'
				,checkType : 'radio'
			}, false, '', '', 'slide-in-right');
		});
	}
})

var uid = '';
mui.plusReady(function(){
	var sData = plus.webview.currentWebview();
	var guid = sData.guid;
	document.addEventListener('getName', function(event){
		uid = event.detail.userId;
		var uName = event.detail.userName;
		document.getElementById('getUser').innerText = uName;
	}) 
	
	//保存数据
	document.getElementById('submit').addEventListener('tap', function(){
		var conTxt = document.getElementById('con').value.trim();
		var uidTxt = uid;
		var lookEndtime = document.getElementById('pickData').innerText.trim();
		var status = document.getElementsByName('abnormalStatus');
		for(i = 0; i < status.length; i++){
			if(status[i].checked){
				var statusTxt = status[i].value;
			}
		}
		if(!executeMode){
			if(conTxt === null || conTxt === ''){
				mui.toast('请填写处理意见！');
				return false;
			}
			if(uidTxt === null || uidTxt ===''){
				mui.toast('请选择接收人！');
				return false;
			}
		}
		if(lookEndtime.indexOf("时间") > -1){
			lookEndtime = '';
		}
		var postData = {
			token: user.getToken(),
			dataJson:JSON.stringify({
				roamGuid: guid
				,executeMode: executeMode
				,selectUserGuid: uidTxt
				,content: conTxt
				,lookExtTime: lookEndtime
				,abnormalStatus: statusTxt
			})
		};
		common.ajax({
			type: 'post'
			,url: common.ajaxDomainUrl + 'Abnormal/SaveReply'
			,data: JSON.stringify(postData)
		}, function(jsonData, status) {
			if(jsonData.succ) {
				mui.toast(jsonData.msg);
				
				var taskFlowInfoVie = plus.webview.getWebviewById('taskFlowInfo.html');
				taskFlowInfoVie.close();
				
				var taskFlowVie = plus.webview.getWebviewById('taskFlow.html');
				mui.fire(taskFlowVie,'refresh',{});
				mui.back();
			} else {
				mui.toast('访问错误！')
			}
		});
	});
});


//选择时间
(function($) {
	var result = $('#pickData')[0];
	var btns = $('.btn');
	document.getElementById('pickData').addEventListener('tap', function() {
		var _self = this;
		if(_self.picker) {
			_self.picker.show(function(rs) {
				result.innerText = rs.text;
				_self.picker.dispose();
				_self.picker = null;
			});
		} else {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			/*
			 * 首次显示时实例化组件
			 * 示例为了简洁，将 options 放在了按钮的 dom 上
			 * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
			 */
			_self.picker = new $.DtPicker(options);
			_self.picker.show(function(rs) {
				result.innerText = rs.text;
				_self.picker.dispose();
				_self.picker = null;
			});
		}
	}, false);
})(mui);