mui.init({
	swipeBack: false //启用右滑关闭功能
});

var userVue = new Vue({
	el: '#myInfo'
	,data:{
		items: [],
		AppVersion:''
	}
});

mui.ready(function () {
	//本地获取用户基本信息
	var userInfo = user.getLocalStorage();
	userVue.items = userInfo;
	userVue.AppVersion = common.AppInfo.AppVersion;

	mui('.jump_url').on('tap', 'a', function(e) {
		var targetTab = this.getAttribute('href');
		var targetId = this
		common.openWebPage(targetTab, targetTab, {}, false, '', '', 'slide-in-right');
	});
	
	/**退出登陆**/
	document.getElementById('logout').addEventListener('tap', function(){
		var btnArray = ['是', '否']; 
		mui.confirm('您确定要退出吗？', ' ', btnArray, function(e) {
			if (e.index === 0) {
				user.logout({token: user.getToken()}, function(isLogout, msg){
//					console.log('user.js isLogout:' + isLogout);
					if (isLogout){
						if (mui.os.plus && common.getRuntime() === 'ios'){
							var webView = null;
							webView = plus.webview.getLaunchWebview();
//							console.log('应用首页id为：' + webView.id);
							common.openWebPage('/index.html', webView.id, {}, true, webView, 'reload', 'slide-in-right');
						} else {
							plus.runtime.quit();							
						}
					} else {
						mui.toast(msg);
					}
				});
			} else {
				
			}
		});
	});
	
	//修改头像
	var photoobj = document.getElementById('myface');
	mui('#face').on('tap', 'img', function(){
		var param = {
			supportCamera: true
			,supportGallery: true
			,galleryMultiple: false
			,isZip: true
			,maxCount: 1
			,uploadServer: common.ajaxDomainUrl + 'Account/FaceChange'
		}
		var changePhoto = new ImageUpload(param);
		var files = [];
		changePhoto.creater(function(isSucc, info){
			if(isSucc){
				var imgTxt = '<img id="myface" src="' + info + '" width="100%"/></div>';  
				document.getElementById('face').innerHTML = imgTxt;
			}
			files.push(info);
			changePhoto.upload([{
				paramName: 'token'
				,paramValue: user.getToken()
			}]
			,info
			,function(result, status){
				var responseText = JSON.parse(result.responseText);
				var succ = responseText.succ;
				if(succ){
					mui.toast('头像上传成功！'); 
					var newFace = responseText.data;
					window.localStorage.setItem('$face', newFace);
				}
			});
		});
	});
});

mui.plusReady(function() {

});