(function($, doc) {
	//mui初始化
	$.init();
	
	$.ready(function(){
	});
	
	var subpages = [
		'html/system/main.html'
		,'html/article/features.html' 
		,'html/command/commandList.html'
		,'html/user/user.html' 
	];
	var subpageIds = [
		'main.html'
		,'features.html'
		,'commandList.html'
		,'user.html'
	];
					
	var subpage_style = {
		top: '0px'
		,bottom: '51px'
	};
	
	var aniShow = {};			

	var subWebview = [];
	// 当前页面索引，初始化为0；
    var activeIndex = 0;
    // 目标页面索引，初始化为当前页面索引；
    var targetIndex = activeIndex;
    
	var cmdCountVue = new Vue({
	    el: '#commandTab',
	    data: {
	        cmdCount: ''
	        ,hide:'hide'
	    }
	});
	
	$.plusReady(function() {
		plus.screen.lockOrientation('portrait-primary');
		///指令数量
		window.addEventListener('getcmdData', function(event){
			cmdCountVue.cmdCount = event.detail.cmdCount;
		});
	
		var self = plus.webview.currentWebview();
		for (var i = 0; i < subpages.length; i++) {
			var temp = {};
			var sub = plus.webview.create(subpages[i], subpageIds[i], subpage_style, {
            	index: i
        	});
			// 窗口对象添加至数组
	        subWebview.push(sub);
			if (i > 0) {
				sub.hide();
			}else{
				temp[subpageIds[i]] = 'true';
				mui.extend(aniShow,temp);
			}
			self.append(sub);
		}
	});

	//当前激活选项
	var activeTab = subpageIds[0];
	
	//选项卡点击事件
	$('.mui-bar-tab').on('tap', 'a', function(e) {
		var targetTab = this.getAttribute('href');
		if (targetTab === activeTab) {
			return;
		}
		if(targetTab == 'commandList.html'){
			var _webview = plus.webview.getWebviewById(targetTab);
			mui.fire(_webview,'refresh',{});
		}
		if($.os.ios || aniShow[targetTab]){
			plus.webview.show(targetTab);
		}else{
			var temp = {};
			temp[targetTab] = 'true';
			$.extend(aniShow, temp);
			plus.webview.show(targetTab, 'fade-in', 300);
		}
		//隐藏当前;
		plus.webview.hide(activeTab);
		//更改当前活跃的选项卡
		activeTab = targetTab;		
	});
	//自定义事件，模拟点击“选项卡”
	doc.addEventListener('changeTab', function(event) {
		var tabId = event.detail.tabName;
		if(!tabId || tabId === ''){
			tabId = 'mainTab';
		}
		var defaultTab = doc.getElementById(tabId);
		//模拟首页点击
		mui.trigger(defaultTab, 'tap');
		//切换选项卡高亮
		var current = doc.querySelector('.mui-bar-tab>.mui-tab-item.mui-active');
		if (defaultTab !== current) {
			current.classList.remove('mui-active');
			defaultTab.classList.add('mui-active');
		}
	});

	
}(mui, document));
